Red Hat Linux/x86 7.2 Notes sur la version
---------------------------------------------

Anaconda/Notes sur l'installateur
---------------------------------

 Chargeur de dmarrage
 ---------------------

   - Nous utilisons maintenant GRUB comme chargeur de dmarrage par dfaut.
     Toutefois, LILO est encore disponible pour des installations classiques.  

   - GRUB prend en charge un mot de passe qui permet d'accder au
     shell GRUB. Etant donn la capacit de GRUB  excuter des commandes,
     cela peut tre important pour le maintien
     de la scurit du systme. Faites y attention avant de
     crer un mot de passe GRUB. Ce mot de
     passe sera crypt  l'aide de MD5 ; reportez-vous  la page de
     manuel grub-md5-crypt pour plus d'informations.

   - Lorsque vous effectuez une mise  jour de Red Hat Linux, il
     est ncessaire d'crire le chargeur de dmarrage au mme
     endroit utilis lors de l'installation prcdente. Exemple :
     si le chargeur de dmarrage tait crit dans le MBR (master
     boot record)  l'origine, le chargeur de dmarrage doit galement tre
     crit dans le MBR lors de la mise  jour. Autrement,
     il est fort possible que le systme ne puisse pas dmarrer.
     
   - Si vous utilisez le chargeur de dmarrage GRUB,
     vous n'avez pas  excuter GRUB de nouveau aprs avoir
     mis  jour votre noyau, contrairement au chargeur de
     dmarrage LILO, qui ncessitait d'tre rexcut aprs
     la modification. Modifiez simplement le
     fichier de configuration de GRUB (/boot/grub/grub.conf),
     de faon  ce qu'il pointe vers le nouveau noyau pour
     lui permettre de le faire dmarrer.

   - Si vous dcidez de changer et d'utiliser le chargeur de
     dmarrage aprs l'installation ou avez besoin de rinstaller
     GRUB, vous pouvez le faire au moyen de la commande
     /sbin/grub-install. La syntaxe de la commande doit contenir
     les spcifications de priphrique indiquant l'endroit o le chargeur
     de dmarrage doit tre install.

     Exemple :
               /sbin/grub-install /dev/hda

   - Pour dmarrer en mode mono-utilisateur depuis GRUB, suivez
     la procdure suivante  partir de l'cran menu GRUB :

         1.  Slectionnez le noyau dsir ;

         2.  Appuyez sur la touche  e  pour diter cette entre ;

         3.  Utilisez les touches de direction (flches) pour naviguer
			 jusqu' la ligne du noyau
             (exemple : kernel /vmlinuz-2.4.7-1 ro root=/dev/hda2) ;

         4.  Appuyez sur la touche  e  pour diter la ligne ;

         5.  Ajoutez l'argument  single   la fin de la ligne, puis
			 appuyez sur la touche Entre ;

         6.  Appuyez sur la touche  b  pour dmarrer.


 Partitionnement
 ---------------

   - L'interface utilisateur Disk Druid a t redessine afin d'incorporer
     une interface qui tire davantage parti d'un environnement graphique.

   - Disk Druid peut maintenant crer des partitions primaires en
     spcifiant un ventail de cylindres.

   - Disk Druid prend maintenant en charge la possibilit de spcifier qu'une
     nouvelle partition doit tre cre en tant que partition primaire.

   - Les installations en mode de texte offrent maintenant la prise
     en charge de la cration de priphriques RAID.

   - La spcification de priphriques de rechange pour les priphriques
     RAID est maintenant prise en charge.

   - Le partitionnement automatique vous permet maintenant de
     spcifier les lecteurs  utiliser et ceux qui ne doivent
     absolument pas tre touchs.

   - Il y a maintenant une option qui permet de visualiser et
     diter les rsultats du partitionnement automatique (uniquement
     pour les installations graphiques ; en mode de texte vous
     verrez toujours les rsultats).

   - Le systme de fichiers journaliss ext3 est maintenant disponible.

   - Les systmes de fichiers prexistants peuvent tre slectionns
     afin d'tre formats de nouveau durant l'installation.

   - Les systmes de fichiers ext2 prexistants peuvent tre convertis
     en systmes de fichiers ext3 durant les installations et les
     mises  jour. Ce processus n'affecte pas les donnes contenues
     dans les systmes de fichiers.

   - De nombreux contrles additionnels sont effectus sur les
     les points de montage crs par les utilisateurs ; cela devrait
     permettre d'viter la plupart des problmes courants (tels qu'un
     point de montage  /  de 5 Mo seulement).

   - On utilise maintenant Parted de GNU comme outil par dfaut de
     partitionnement, qui remplace ainsi la bibliothque libfdisk.

     Parted dtermine le type de systme de fichiers en examinant
     le systme de fichiers courant crit dans une partition plutt
     que de se baser sur le type de systme de fichiers crit dans
     la table de partition. Cela peut crer certaines confusions
     en prsence de partitions prexistantes.

     Exemple : si vous utilisez fdisk pour changer le type de partition
     d'une partition, la faisant passer de VFAT  ext2, Parted la considre
     tout de mme comme une partition VFAT car il y a encore un systme
     de fichiers VFAT dessus. Dans cet exemple, vous devez explicitement
     reformater la partition en tant que ext2  l'aide de l'interface
     Disk Druid avant que la partition ne soit traite comme ext2. Chaque
     fois que vous utilisez fdisk dans l'installateur et passez
     ensuite  l'cran de Disk Druid pour rgler les points de montage,
     vous devriez galement rviser et diter chaque partition (dans
     Disk Druid) et configurer correctement leurs options de format.

 Kickstart
 ---------
 
   - Pendant le processus d'installation, un fichier kickstart
     reproduisant les options d'installation choisies par l'utilisateur
     est cr dans /root/anaconda-ks.cfg. Ce fichier peut tre
     utilis pour crer une installation semblable au systme
     nouvellement install.

   - Kickstart s'excute en mode graphique (lorsque ce mode est
     disponible). Cependant, il peut tre remis en mode de texte
      l'aide de la directive  text  dans le fichier kickstart.

   - Kickstart Configurator (ksconfig) prend maintenant en charge la
     cration de partitions sur un lecteur spcifique et un lecteur
     existant, la configuration de X Window, l'criture de scripts
     avant et aprs installation, l'excution d'une mise  jour et
     les nouvelles fonctions kickstart prsentes dans cette version.
     Il permet galement aux utilisateur de prvisualiser leurs
     choix avant d'enregistrer le fichier et est accompagn d'un manuel intgr
     pour faciliter la cration de fichiers kickstart.

   - Kickstart a plusieurs nouvelles fonctions/directives :

     interactive -- lit dans le fichier kickstart, parcourt l'installation
			   l'aide d'une interface utilisateur remplie avec les valeurs
			  kickstart. Attend l'entre de l'utilisateur  chaque
			  cran.

     text -- force kickstart  s'excuter en mode de texte. Par dfaut,
		 kickstart s'excute maintenant en mode graphique.

   - La directive clearpart accepte maintenant l'option --ondisk :

     --ondisk -- permet de spcifier les lecteurs sur lesquels crer
		     des partitions.

   - Une nouvelle commande pour le chargeur de dmarrage,  bootloader ,
     qui prend en charge ce qui suit :

     --append <args> -- append <args> sur la ligne du noyau

     --useLilo -- utiliser LILO au lieu de GRUB

     --md5pass <mot de passe MD5 crypt> -- mot de passe que doit utiliser GRUB

   - Autres indicateurs pour la directive xconfig  dfinir :

     --resolution 1024x768 -- rgle la rsolution de l'cran (1024 x 768 dans cet exemple)

     --depth 16 -- rgle la densit d'affichage de couleur (couleurs 16 bits dans cet
			 exemple)

 Divers
 ------

   - L'cran de slection de paquetages individuels prend maintenant
     en charge une visualisation complte de tous les paquetages.

   - Pour les installations bases sur FTP, il est maintenant possible
     de monter en bouclage les images ISO Red Hat Linux sur un
     serveur FTP. Les images ISO devraient tre montes en bouclage
     en tant que /disc1, /disc2 et ainsi de suite, dans un mme
     rpertoire. Ce rpertoire devrait ensuite tre spcifi
     lorsqu'une installation FTP est lance.

   - Afin de maximiser l'espace dans l'image d'installation, le
     programme BusyBox offre maintenant la prise en charge de nombreuses
     commandes couramment utilises.

   - Le mode de secours avertit maintenant avant d'essayer de monter
     des systmes de fichiers du systme install.

  - Les installations sans partition ne sont plus prises en charge ;
    toutefois, les mises  jour d'installations sans partition
    prcdentes sont encore prises en charge.

   - Les priphriques disquette USB sont maintenant pris en charge durant
     l'installation.


Notes gnrales de la distribution
----------------------------------

   - Il existe un problme connu en ce qui a trait  la mise  jour
     de systmes Red Hat Linux 6.x, 7.0 et 7.1 qui excutent GNOME
     Ximian.

     Le problme est d  la superposition de versions entre les
     RPM officiels de Red Hat Linux et les RPM Ximian. Sachez
     que cette configuration n'est pas prise en charge par Red Hat.
     Diverses solutions s'offrent  vous pour rgler ce problme :

     - Vous pouvez retirer GNOME Ximian de votre systme Red Hat Linux
	 avant de procder  la mise  jour de Red Hat Linux.

     - Vous pouvez mettre  jour Red Hat Linux et puis rinstaller
	 immdiatement GNOME Ximian.

     - Vous pouvez mettre  jour Red Hat Linux, puis supprimer
	 immdiatement tous les RPM Ximian restants et les remplacer
	 par les RPM Red Hat Linux correspondants.

     Vous  devez  rsoudre ce problme de superposition des versions
      l'aide d'une des solutions mentionnes ci-dessus, sinon votre
     configuration GNOME sera instable.

   - GNOME a t mis  jour  1.4 et comprend le shell graphique
     Nautilus.

   - Le tableau de bord GNOME a t remplac par le dossier
      preferences:  dans Nautilus. Toutefois, vous devriez
     encore pouvoir excuter  gnomecc  manuellement.

   - Le CD-ROM PowerTools n'est plus produit. Cependant, les paquetages
     les plus utiliss qui s'y trouvaient ont t ajouts  Red Hat
     Linux.
 
   - Configuration de pare-feu - Pour une plus grande scurit,
     vous pouvez configurer un pare-feu dans le cadre de l'installation
     de votre systme. Vous avez le choix entre deux niveaux de
     scurit et pouvez galement slectionner les services systme
     courants qui doivent tre autoriss ou refuss par dfaut.

     Veuillez prendre note que les paramtrages de pare-feu  medium  et
      high  bloquent tous deux les services bass sur RPC (tels que NIS ou NFS)
     et, par consquent, les font chouer.

   - XFree86 a t mis  jour  4.1.0 et offre une prise en charge amliore
     du matriel. Le matriel d'acclration 3D pour le Radeon ATI est
     maintenant compris. La plupart des pilotes vido prennent maintenant
     en charge l'extension RENDER, offrant la prise en charge de polices
     anti-crnelage  un plus vaste ventail de matriel. Les anciennes
     extensions X XIE et PEX (Phigs) sont maintenant officiellement
     dconseilles par l'quipe XFree86 et seront supprimes lors
     d'une des prochaines versions de Red Hat Linux.

  - XFree86 3.3.6 est maintenant dconseill et sera supprim lors d'une
    prochaine version de Red Hat Linux. Il est actuellement inclus pour
    des raisons de compatibilit.

   - initscripts utilise maintenant /sbin/ip (des paquetages iproute) pour la
     plupart des oprations. /sbin/ip ncessite les fonctions netling
     et netling routing pour fonctionner correctement ; il est impossible
     d'utiliser la totalit des fonctionnalits de routage du noyau sans
     ces deux fonctions. Si vous construisez votre propre noyau, assurez-vous
     que les fonctions CONFIG_NETLINK et CONFIG_RTNETLINK sont actives.

   - La prise en charge unifie initiale du coren a t ajoute.

   - Binutils et gcc prennent maintenant en charge la fusion de duplicatas
     de constantes chane dans des binaires entiers ou des bibliothques
     partages (auparavant, les duplicatas taient fusionns dans
     une unit de compilation simple seulement).

   - gcc-3.0 est inclus pour ceux qui ont besoin de la prise en charge
     C++ ou STL conforme aux normes et pour ceux qui veulent utiliser
     les fonctions Java de gcc. Notez que le compilateur de systme
     pris en charge pour C et C++ demeure gcc-2.96
     (Red Hat).

   - Le paquetage VNC prend maintenant en charge un nouveau type
     de codage pour les connexions  bas dbit.

   - Red Hat Linux comprend maintenant la premire publication du
     processeur XSLT GNOME (xsltproc) utilisant la version 2 de
     la bibliothque XML associe.

   - On a ajout la prise en charge ODBC  php, postgresql a t mis  jour 
     7.1.2, des interfaces python ont t ajoutes et les interfaces perl ont
     t mises  jour.

   - De nombreux nouveaux outils de configuration ont t inclus. Ces outils
     vous permettent de configurer les lments suivants :

       -  rseau (redhat-config-network)
       -  heure/date (redhat-config-date)
       -  contrle du systme (redhat-config-services)
       -  utilisateurs/groupes (redhat-config-users)
       
   - Les paquetages/fonctions suivants sont dconseills et pourraient
     tre supprims lors d'une prochaine version de Red Hat Linux :
     
       - Netscape 4.x
       - Qt 1.x
       - Bibliothques de compatibilit/environnement de construction de KDE v1
       - Environnement de construction de Red Hat Linux 6.x
       - Gestionnaire de fentres Enlightenment
       - linuxconf
       - ncpfs
       - mars_nwe
       - XFree86 3.3.x
       - kaffe

Notes sur le noyau
------------------

   - Le noyau contient maintenant le systme de fichiers journaliss
     ext3. Ce systme de fichiers a trois modes d'opration :

       -  ordered 
       -  journal 
       -  writeback 

     La valeur par dfaut,  ordered , fait en sorte que vous puissiez
     toujours visualiser des donnes valides dans les fichiers
     crits rcemment aprs une panne.

     Le mode  writeback  peut parfois tre plus rapide, mais il ne
     force pas les donnes au disque aussi rigoureusement. Par consquent,
     aprs une panne, il pourrait y avoir des corruptions dans les
     fichiers crits rcemment.

     Le mode  journal  copie toutes les donnes dans le journal et peut
     donner de bonnes pousses de vitesse si vous excutez de nombreuses
     critures de donnes synchrones (ex. : spooles de courrier ou serveurs
     NFS synchrones). Toutefois, lors d'une utilisation normale, le mode
      journal  est gnralement beaucoup plus lent.

     Le mode se rgle en utilisant l'option de montage  data=<mode> 
     dans /etc/fstab ou  mount -o data=<mode>  sur la ligne de
     commande de montage.

     Normalement, un systme de fichiers ext2 est vrifi automatiquement
     lorsqu'une certaine priode de temps s'est coule ou qu'un nombre
     donn de montages faits a t atteint depuis la dernire vrification du
     systme de fichiers. Lorsque c'est le cas, une vrification totale du systme de
     fichiers (fsck) est force au dmarrage du systme, afin de
     contrler l'intgrit du systme de fichiers.

     Lorsque l'installateur cre un systme de fichiers ext3 ou met
      jour un systme de fichiers ext2 pour qu'il devienne ext3, il
     dsactive ces vrifications automatiques. Utilisez  tune2fs 
     avec les options  -c  ou  -i  pour les ractiver ou pour les
     dsactiver sur des systmes de fichiers ext3 que vous crez
     manuellement.

     Notez que ces vrifications fsck n'ont rien  voir avec
     le comportement du systme de fichiers lorsqu'une erreur est
     dcouverte sur le disque ou lors d'une panne. Si une erreur
     de cohrence de systme de fichiers est dcouverte sur le
     disque, la vrification fsck sera alors force  chaque
     redmarrage suivant, aussi bien pour les systmes de fichiers
     ext2 que ext3. Si une panne se produit sur un systme de
     fichier intact, ext2 forcera toujours une vrification et 
     ext3 excutera toujours ses tapes de reprise sur incident du
     systme de fichiers ; ces oprations ne sont pas affectes
     par le rglage de l'intervalle de vrification force de
      tune2fs .

     Veuillez prendre note que les fichiers journaux aussi peuvent tre 
     endommags en cas de panne d'lectricit. Lorsqu'un systme est priv 
     de courant, le comportement de ce systme est indtermin. Exemple : le 
     contenu de la mmoire peut se dgrader (devenir corrompu de faon 
     alatoire) car il est copi sur le disque dur excutant les derniers 
     souffles d'nergie. Cette situation est compltement diffrente de la 
     squence d'vnements dfinie qu'est l'arrt du systme en appuyant sur 
     le bouton  rinitialiser  lorsque le systme est en cours d'excution. 
     En outre, les disques durs IDE n'offrent pas toutes les garanties d'ordre
     d'criture que les disques SCSI offrent.

     Aussi, aprs une panne du systme, vous sera-t-il propos d'effectuer
     la vrification de l'intgrit de vos systmes de fichiers. Le fichier
     /.autofsck est  l'indicateur de panne  utilis pour offrir cette 
     fonction. Vous aurez 5 secondes pour entrer la lettre  Y  (oui) si 
     vous dsirez procder  la vrifications des systmes de fichiers lors 
     de tout dmarrage suivant une panne de systme, peu importe sa raison.

  - Red Hat Linux installera un noyau optimis pour les processeurs
    Athlon sur des systmes ayant une unit centrale de classe Athlon.
    Cette optimisation aura pour effet d'ajouter une charge plus lourde
    sur les composants du systme. Aussi, un nombre rduit d'ordinateurs
    chouent-ils au dmarrage car leur matriel n'est pas parfaitement
    conforme aux spcifications AMD et donc incapable d'affronter le
    le chargement. Sur ces systmes, vous pouvez mettre  jour le
    matriel (des blocs d'alimentation trop faibles peuvent en tre la cause)
    ou utiliser la fonctionnalit de secours de l'installateur pour installer
    un noyau i686.

  - Certains ordinateurs de classe Athlon ne sont pas conformes ou ont 
    des configurations trop agressives des jeux de circuits paramtres 
    par leur BIOS. Sur ces ordinateurs vous risquez de voir des messages
     Oops  alatoires s'afficher au dmarrage (aprs avoir complt 
    avec succs l'installation) et ne pourrez dmarrer correctement. 
    Dans ce cas, dmarrez avec l'option  noathlon  afin de dsactiver 
    les optimisations Athlon ; installez le noyau 686 au lieu du noyau
    Athlon pour viter que cela ne se reproduise dans le futur.

Notes sur l'impression
----------------------

   - Le systme printconf offre maintenant un programme printconf-tui,
     pour la configuration d'imprimante en mode de texte.

   - Le programme printconf-tui offre des fonctionnalits d'importation
     et d'exportation  la ligne de commande. L'importation peut
     fusionner des dfinitions d'imprimante avec les dfinitions
     dj prsentes ou les craser (par dfaut).

     Exemple :

         printconf-tui --Xexport > settings.xml

         printconf-tui --Ximport < settings.xml
     ou :
         printconf-tui --Ximport --merge < settings.xml

     Conjugu  la redirection - telle que  here documents  de bash
     (reportez-vous  la page de manuel de bash pour en savoir plus) -
     il est maintenant facile de mettre les paramtres d'une imprimante
     dans des fichiers kickstart.

   - Le programme printconf-tui peut effacer les paramtres compltement.

     Exemple :

          printconf-tui --Xclear

   - Les outils printconf offrent maintenant une dtection automatique
     limite.

   - redhat-config-printer-tui et redhat-config-printer-gui, alias
     printconf-tui et printconf-gui, respectivement.
     
   - Ghostscript a t mis  jour  6.51 et prend en charge de nombreux
     pilotes supplmentaires, de mme que les fichiers PDF crypts.

   - On a ajout la prise en charge pour les pilotes d'impression
     ghostscript hpijs de Hewlett Packard. Bien qu'ils ne soient pas
     fournis avec la distribution, en raison des limites imposes par
     la licence, ils peuvent tre tlchargs depuis le site du projet
      l'adresse http://hpinkjet.sourceforge.net et devraient fonctionner
     en tant que composants additionnels.

i386 7.2
