Red Hat Linux/x86 7.3 (Valhalla)
====================================

El contenido de este CD-ROM est registrado como Copyright (C) 1995-2002 Red 
Hat, Inc. y otras marcas. Consulte las anotaciones de cada marca registrada
en cada paquete para los trminos de distribucin. Los 
trminos de distribucin de las herramientas registradas por Red Hat, Inc.
se encuentran en el fichero EULA.

Red Hat y RPM son marcas registradas por Red Hat, Inc.
============================================================================
ORGANIZACIN DE LOS DIRECTORIOS

Red Hat Linux se entrega en cinco CDROMs (del disco 1 al disco 5). El
disco 1 se puede arrancar directamente en la mayora de sistemas modernos y
contiene la siguiente estructura de directorios:

/mnt/redhat
  |----> RedHat
  |        |----> RPMS         -- paquetes binarios
  |        `----> base         -- informacin sobre esta versin de Red Hat
  |                                Linux usada por el proceso de instalacin
  |----> images                -- imgenes boot y ramdisk
  |----> dosutils              -- utilidades de instalacin para DOS
  |----> README                -- este fichero
  |----> RELEASE-NOTES         -- notas de ltima hora sobre esta versin de
  |                               Red Hat Linux
  `----> RPM-GPG-KEY           -- firma GPG de los paquetes de Red Hat

El disco 2 es parecido, la nica diferencia es que el subdirectorio RedHat est
presente.


El disco 3 contiene paquetes binarios y de cdigo fuente. La visualizacin del disco 3 sera:

/mnt/redhat
  |----> RedHat
  |        `----> RPMS         -- paquetes binarios
  |
  |----> SRPMS                 -- paquetes de cdigo fuente
  |
  |
  `----> RPM-GPG-KEY           -- firma GPG de los paquetes de Red Hat

La visualizacin del directorio de discos 4 y 5 es la siguiente:

/mnt/redhat
  |----> SRPMS                 -- paquetes binarios
  `----> RPM-GPG-KEY           -- firma GPG de los paquetes de Red Hat 

Si desea configurar una imagen para instalaciones NFS, FTP, o HTTP, 
necesitar obtener todo el contenido del directorio RedHat de los discos 1
al 3. En los sistemas Linux y Unix, el siguiente proceso configurar el
directorio /target/ en su servidor.

    1) Introduzca el disco 1
    2) mount /mnt/cdrom
    3) cp -a /mnt/cdrom/RedHat /target/directory
    4) umount /mnt/cdrom
    5) Sustituya el disco 1 por el disco 2
    6) mount /mnt/cdrom
    7) cp -a /mnt/cdrom/RedHat /target/directory
    8) umount /mnt/cdrom
    9) Sustituya el disco 2 por el disco 3
    10) mount /mnt/cdrom
    11) cp -a /mnt/cdrom/RedHat /target/directory
    12) umount /mnt/cdrom

============================================================================
INSTALACIN

Existen diferentes imgenes de arranque para iniciar su sistema; 
necesitar una para iniciar su sistema con el programa de instalacin y
actualizacin de Red Hat. Para las instalaciones desde CDROM y disco duro,
utilice el fichero boot.img. Las instalaciones NFS, FTP y HTTP necesitan
la imagen bootnet.img. Las instalaciones a travs de dispositivos PCMCIA
(como puedan ser CDROMs en PCMCIA o tarjetas de red), necesitan el
fichero pcmcia.img. Estas imgenes se pueden encontrar en el directorio
images del disco 1.

Algunos sistemas requieren drivers de dispositivos adicionales que no 
estn disponibles en el disco de arranque. El directorio images contiene un
fichero drivers.img que contiene otros drivers extra. Introduzca el
contenido en el disquete antes de iniciar con el proceso de instalacin y 
siga las instrucciones que le indica la pantalla.        

Para hacer un disquete a partir de cualquiera de estas imgenes, utilice 
el programa rawrite del directorio dosutils o bien 'dd' en
cualquier sistema Linux. Estos programas transferirn la imagen
a los disquetes fsicos. Una vez que el disquete haya sido creado,
introduzca el disquete en la disquetera y arranque el ordenador. 

Algunos ordenadores pueden arrancar automticamente desde los CDROMs. Si dispone de
un ordenador que responda a estas caractersticas (y est configurado correctamente)
puede arrancar el CDROM de Red Hat Linux directamente sin usar ningn disco de 
arranque. Tras arrancar, podr instalar su sistema desde el CDROM. Tenga en cuenta que
arrancar desde un CDROM equivale a

arrancar desde un fichero boot.img file; se necesitarn drivers adicionales

============================================================================
OBTENER AYUDA

Para todos aquellos que dispongan de acceso a la web, consulten el sitio
http://www.redhat.com. En particular, accedan a nuestras listas de correo, que
se pueden encontrar en:

                    http://www.redhat.com/mailing-lists

Si no dispone de acceso a la web, puede suscribirse a las listas de correo.

Para suscribirse, escriba a Valhalla-list-request@redhat.com con

                                 subscribe

en la lnea del ttulo.  Puede dejar el cuerpo del mensaje vaco.

