Notas de ltima hora de Red Hat Linux 7.1
-------------------------------

Este documento describe las caractersticas nuevas de la versin Red 
Hat Linux 7.1,pero puede que no est disponible antes de que se complete 
toda la informacin. Si desea conocer las notas de ltima hora lea la 
documentacin disponible en el CD 1 de Red Hat Linux.

Cambios de ltima hora
----------------------

    o El programa de instalacin de Oracle (versiones 8.1.7, 8.1.6, y 
      posiblemente otras) no funciona correctamente con 
      glibc 2.2 y posteriores. El problema que se presenta es que al
      proceder al enlace de los ficheros objeto stos utilizan una
      versin diferente de glibc ( la compatibilidad binaria est asegurada
      tan slo para los ejecutables enlazados y las libreras compartidas 
      mediante un smbolo de la versin). Puede intentarlo instalando
      los paquetes compatibles con Red Hat Linux 6.2 (compat-egcs,
      compat-glibc and compat-libs) y escribiendo los siguientes
      comandos antes de ejecutar el instalador de Oracle:

        export LD_ASSUME_KERNEL=2.2.5
        . /usr/i386-glibc21-linux/bin/i386-glibc21-linux-env.sh

      La segunda lnea exporta las variables de entorno que harn que
      gcc y ld busquen cabeceras y libreras compatibles con glibc 2.1.3.

    o Advertencia acerca de las instalaciones NFS, FTP, o HTTP -- Como el 
      programa de instalacin de Hat Linux 7.1 es capaz de instalar Red Hat
      Linux desde mltiples CD-ROMs, si quiere soportar las instalaciones
      NFS, FTP, o HTTP no podr montar un solo CD-ROM Red Hat Linux 
      e instalar desde ste.

      En su lugar, deber copiar el directorio RedHat desde cada CD-ROM
      comprimiendo Red Hat Linux 7.1 en una unidad de disco:

        - Introduzca el CD 1
          mount /dev/cdrom /mnt/cdrom
          cp -var /mnt/cdrom/RedHat /location/of/disk/space
          umount /mnt/cdrom

        - Intorduzca el CD 2
          mount /dev/cdrom /mnt/cdrom
          cp -var /mnt/cdrom/RedHat /location/of/disk/space
          umount /mnt/cdrom

      Deber hacer que la /location/of/disk/space sea accesible al 
      programa de instalacin (por ejemplo, exportndolo para las
      instalaciones NFS):

        - Export /location/of/disk/space


Instalacin - Cambios y mejoras
-------------------------------

El programa de instalacin de la versin 7.1 de Red Hat Linux incluye
nuevas caractersticas. Para obtener ms informacin, consulte la Official
Red Hat Linux Installation Guide.


    o Swap -- El kernel 2.4 es ms potente que el 2.2 a la hora de utilizar 
el espacio de swap. Sin embargo, como ya ocurri con versiones anteriores del
kernel, el tamao ptimo del espacio swap depender de:

        - La cantidad de memoria RAM que tenga instalada.
        - La cantidad de espacio que tenga disponible en el disco para la
          particin swap.
        - Las aplicaciones que utilice.
        - La variedad de aplicaciones que se estn ejecutando a la vez.

      Le recomendamos que utilice los siguientes tamaos para las 
      particiones swap:

        - Para sistemas de un solo usuario con una memoria RAM de menos de
          128MB, el espacio recomendado es de 256MB.

        - Para sistemas de un solo usuario y servidores de bajo rendimiento 
          con ms de 128MB de memoria RAM, se recomienda usar el doble de la 
          memoria RAM (2xRAM).

        - Para servidores con 512MB de memoria RAM, el espacio recomendado
          depende del entorno, es decir, de las condiciones de ste.

      Aunque existen sistemas operativos con determinadas configuraciones 
      y aplicaciones que funcionan con poco espacio swap o prcticamente sin
      espacio, le recomendamos que siga estas pautas porque como dice el dicho:

          " Es mejor tenerlo y no necesitarlo que necesitarlo y no tenerlo."

    o Swap-Actualizacin -- Si desea llevar a cabo la instalacin de la
      versin 7.1 de Red Hat Linux, la configuracin del tamao de las
      particiones swap no es un proceso difcil, basta con seguir los pasos
      adecuados. Sin embargo, tenga en cuenta que, si desea actualizar una
      versin anterior del sistema Red Hat Linux con la versin 7.1, el 
      tamao de las particiones swap puede que no sea suficiente para la nueva
      versin.

      El programa de instalacin de la versin 7.1 de Red Hat Linux examina 
      el espacio disponible para las particiones swap. En el caso de que no
      sea suficiente, configura ms espacio swap en formato de fichero swap.
      Se le preguntar qu tamao desea para este nuevo fichero.

      (NOTA: El programa de instalacin no crear de ninguna manera una
      particin o un fichero swap de ms de 2GB. En el caso de que se exceda
      esta tamao, tendr que reconfigurarlo una vez que haya terminado el
      proceso de instalacin.)

    o XFree86 4.0.3 -- En el programa de instalacin de la versin 7.1 de Red
      Hat Linux 7.1 se han mejorado las pantallas de control y la deteccin
      de la memoria de vdeo de tal manera que usted pueda llevar a cabo la 
      instalacin sin ningn tipo de problemas.

    o Configuracin de un firewall -- Para mayor seguridad en el sistema, 
      puede configurar un firewall como parte de la instalacin del sistema. 
      Puede elegir entre dos niveles de seguridad as como qu tipo de
      servicios predeterminados desea que el sistema habilite o deshabilite.


      Observe con atencin que la configuracin de los niveles medio y alto
      del firewall puede bloquear algunos servicios RPC como NIS o NPS y como
      consecuencia no llevarse a cabo la configuracin.

    o Instalacin desde el disco duro -- Se necesitan las imgenes ISO para 
      la instalacin desde el disco duro, de tal manera que ya no es necesario
      copiar e instalar todo el rbol de directorios y archivos. De esta
      manera, slo tiene que poner las imgenes ISO en un directorio. Durante
      la instalacin desde el disco duro, dirija la instalacin del sistema
      Red Hat Linux al directorio. Adems, gracias a que Red Hat publica los
      modelos oficiales de MD5 para las imgenes ISO, le resultar fcil
      asegurarse que est usando el software oficial. Para ello, ejecute el
      programa md5sum y compare los modelos con los de Red Hat.

    o Seleccin del idioma -- La seleccin del idioma se ha cambiado
      completamente. Ahora es posible realizar el proceso de instalacin en un
      idioma, pero se debe de especificar que el sistema, despus de la
      instalacin, operar en otro idioma.

    o Instalacin de tipo porttil -- Est disponible un nuevo tipo de
      instalacin, la porttil que permite el soporte de dispositivos PCMCIA.
      El sistema la detectar automticamente si posee un controlador PCMCIA
      de los soportados por Red Hat.

    o Soporte LBA32 -- Ya existe el soporte para la opcin de LILO, LBA32.
      Esto facilita el arranque parcial o completo desde particiones que se
      encuentren en cilindros superiores al 1024, que hasta ahora era el
      lmite. Sin embargo, tenga en cuenta que no todas las
      matrices soportan esta opcin, incluso cuando el soporte para la BIOS
      est disponible. Por ello, esta opcin est desactivada por defecto.
      Observe tambin que esta opcin est disponible SLO cuando se
      ha creado una particin con fdisk y la particin es de tipo fdisk, y la
      particin es de tipo /boot o / (root). La restriccin fdisk es necesaria
      ya que no es posible arrancar una particin desde un cilindro superior a
      1024 usando Disk Druid.

    o Mejoras de la aplicacin Disk Druid -- La aplicacin Disk Druid 
      detecta las particiones que, por ejemplo, no se ajustan a los lmites de
      un cilindro. Esto puede ser debido al hecho de que la geometra del
      disco duro sea diferente a la que tena inicialmente antes
      de que se creara una particin. En estos casos, le recomendamos que 
      use el programa fdisk para poder resolver estos problemas o intentar
      evitarlos.

    o Configuracin de la interfaz grfica Kickstart -- La versin 7.1 de Red
      Hat Linux incluye una interfaz grfica para crear configuraciones
      kickstart facilitando al cliente la instalacin.

    o Mejoras del modo de rescate -- El modo de rescate ha sido mejorado 
      para montar los sistemas de ficheros que aparecen en /etc/fstab
      (suponiendo que se encuentre un sistema de ficheros root). Se montan en
       /mnt/sysimage lo que facilita el uso de este modo a aquellas personas
       que lo utilizan por primera vez.

    o Nueva opcin sobre la seguridad de la autentificacin -- La 
      configuracin de la autentificacin incluye la posibilidad de usar la
      Seguridad de la red a nivel de la capa de transporte o
      TLS (Transport Layer Security) cuando se llevan a cabo bsquedas. La 
      TLS permite a los clientes LDAP utilizar conexiones codificadas cuando
      realizan la autentificacin.


    o Mejoras varias en el programa de instalacin -- En este programa se
      llevan a cabo muchos controles para aislar problemas graves, que al
      inicio los nuevos usuarios no saban resolver.


Cambios y mejoras en el sistema
-------------------------------

La versin 7.1 de Red Hat Linux contiene nuevas caractersticas 
que no forman parte del proceso de instalacin. Algunas se refieren a los
programas de los servidores y otras a nuevas aplicaciones o a cambios en el
entorno del escritorio. La siguiente lista le muestra lo que puede encontrar
en la versin 7.1 de Red Hat Linux.

    o Componentes del ncleo del sistema actualizados -- Los componentes
      principales siguientes han sido actualizados en la versin 7.1 de Red
      Hat Linux:
        - kernel 2.4.x (con ajustes adicionales)
        - glibc 2.2.2
        - KDE 2.1.1
        - XFree86 4.0.3 con la extensin de fuentes antialias
        - GCC 2.96-RH, con nuevos ajustes

    o Mejoras en el soporte USB -- El kernel 2.4 integra en la versin 7.1 de
      Red Hat Linux un soporte USB ms avanzado comparado al de las versiones
      anteriores del sistema. Contiene ms controladores y un mayor buffer
      para los dispositivos como los CD-ROMs. Tambin
      soporta los dispositivos removibles-- si se conecta un dispositivo
      soportado despus del arranque del sistema, los controladores necesarios
      se cargan automticamente.

    o Controladores de medios removibles automticamente aadidos a
      /etc/fstab Red Hat Linux 7.1 da la posibilidad a los usuarios de montar
      y desmontar controladores de medios removibles. Esto se lleva a cabo con
      el programa updfstab (que forma parte del configurador del hardware del
      tiempo de arranque kudzu). Aade y elimina las entradas necesarias a
      /etc/fstab. Observe que cada entrada del programa updfstab contiene la
      nueva opcin kudzu -- lo que indica que la entrada puede ser eliminada
      despus; si desea aadir permanentemente una entrada al fstab, elimine
      simplemente la opcin kudzu.

      Los dispositivos removibles aparecen como una combinacin de 
      cardmgr, hotplug, updf-stab y pam_console_apply. Cuando el kernel
      notifica a hotplug o cardmgr que se ha almacenado un nuevo dispositivo
      en el sistema, se ejecuta updfstab para aadir la nueva entrada al fstab.
      Despus, updfstab ejecuta pam_console_apply, el cual usa las reglas
      almacenadas en etc/security/console.perms para permitir el acceso al
      dispositivo al usuario de la consola. 

      Los usuarios de GNOME que ejecutan el magicdev vern aparecer los iconos
      de los dispos-itivos en escritorio. El magicdev normalmente controla el
      tiempo de impresin de /etc/fstab y dirge gmc para que vuelva a escanear 
      los dispositivos cuando se cambia el fstab. Si no ejecuta el dispositivo 
      magicdev, la opcin "Rescan Devices" en el men de root gmc (que aparece
      cuando hace click con el botn derecho del ratn en el escritorio)
      lleva a cabo una funcin equivalente.
      
      Los usuarios de KDE vern la misma funcionalidad.

    o Controladores nuevos y actualizados -- En la nueva versin de Red 
      Hat Linux se incluyen nuevos controladores y otros que han sido
      mejorados como resultado del cambio al kernel 2.4. Entre estos
      controladores se encuentran los siguientes:

        - Controlador Adaptec AIC7XXX SCSI actualizado
        - Subsistema IEEE1394 (FireWire)
        - Adaptec starfire quad ethernet
        - Aironet 802.11 WiFI ethernet
        - National Semiconductor DP83810 ethernet
        - Subsistema ATM y varios controladores ATM
        - Subsistema DECnet
        - Cyclom 2X, DEFEA, and DEFPA FDDI
        - Soporte IPv6
        - NFS versin 3
        - iptables, firewall mejorado
        - Tarjetas de Sonido Maestro3
        - Controlador broadcom BCM5700 PCI-X 10/100/1000BASE-T
        - Soporte de los controladores IDE UltraDMA/66 y UltraDMA/100

    o Aceleracin 3D en XFree86 4.0.3 -- Se ha aadido una gran variedad 
      de tarjetas 3DFX a la lista de tarjetas que soportan los grficos 3D.
      Adems, las tarjetas Intel i810, Matrox G200,G400, G450 (NOTA: la
      operacin de doble monitor en la G450 no est soportado) y la ATI Rage
      128 tambin soportan los grficos acelerados de 3D. Tenga en 
      cuenta que Xfree86 4.0.3 no soporta todava la aceleracin 3D en las
      tarjetas ATI Rade.

    o Nueva herramienta de configuracin de Apache -- apacheconf:

        - Ayuda a administrar las mquinas virtuales de una manera inteligente
        - Est configurada con la librera Alchemist Data Library
 
    o Nueva herramienta de configuracin BIND -- bindconf:

        - Facilita la configuracin DNS
        - Est configurada con la librera Alchemist Data Library

    o Nueva herramienta de configuracin de la impresora -- printconf:

        - Los filtros estn basados en el filtro mgico diseado por David
          Parson, es decir, el sistema foomatic, en la base de datos de la
          impresora de Linux (http://linux-printing.
          org).
        - Supports over 500 printers
        - Actualiza sistemas antiguos configurados con printtool.
        - Est configurada con la librera Alchemist Data Library.

    o Mejoras en Red Hat Network y aparicin de un nuevo servicio 
      llamado Software Manager -- Se han realizado una serie de mejoras en
      el servicio Red Hat Network y su programa cliente conocido como
      "Update Agent". Adems, ha aparecido un nuevo servicio llamado
      Software Manager. Este tipo de tecnologa incluye las siguientes 
      mejoras respecto a la anterior versin:

        - El Update Agent ahora soporta completamente la operacin desde 
          la lnea de comandos.
        - Utilidad de configuracin en modo texto.
        - La utilizacin del modo GUI se puede desactivar especificando la
          opcin de la lnea de comandos "--nox".
        - Resolucin ms inteligente de cadenas complejas de 
          interdependencias de paquetes.
        - Las opciones de la lnea de comandos --whatprovides y 
          --solvedeps permiten pedir la base de datos de Red Hat Network para
          visualizar las dependencias de los paquetes.
        - La opcin de la lnea de comandos --packagedir permite ver la lista 
          de los directorios especificados. Se buscarn dichos directorios
          cuando se hayan satisfecho las dependencias de los paquetes.
        - Las actualizaciones del Kernel ya pueden ser procesadas por Update
          Agent.

    o Los directorios Emacs/XEmacs site-start.d.  Tanto Emacs como 
      XEmacs soportan un directorio site-start.d. De esta manera, los paquetes
      se sitan en los ficheros de arranque emacs en el directorio apropiado y
      se cargan cuando arranca el editor. As, no es necesario modificar el
      fichero site-start.el directamente. Los
      directorios son
      los siguientes:

            /usr/share/emacs/site-lisp/site-start.d
            /usr/lib/xemacs/xemacs-packages/lisp/site-start.d

    o Nueva herramienta de configuracin de las lneas
      ADSL/RDSI-- internet-con-fig sustituye a adsl-config y isdn-config.
      Ayuda a los nuevos usuarios con la configuracin de estos dos mtodos de
      conexin tan conocidos.

    o Notas sobre la actualizacin de PostgreSQL -- Si est actualizando la
      versin de Red Hat Linux 6.2 u otra anterior, debe de vaciar sus bases 
      de datos y reiniciar el ciclo. Para ello, use el programa pg_dumpall(1)
      ANTES DE realizar la actualizacin a la versin 7.1 de Red Hat Linux.
      Despus de haber actualizado la versin, lea el fichero README.rpm en
      /usr/share/doc/postgresql*/.

      Tenga en cuenta que la actualizacin mantiene los binarios antiguos
      junto con los scripts pero se recomienda vaciar la base de datos y
      reiniciarla antes de la actualizacin.

    o Notas sobre la actualizacin del OpenLDAP -- El formato del disco 
      que usa el slapd,como almacn de datos, el disco binario del servidor
      OpenLDAP ha cambiado. Los usuarios que deseen actualizar versiones
      anteriores de Red Hat Linux en los servidores LDAP necesitarn convertir
      sus directorios en ficheros LDIF usando ldbmcat -n y volver a
      importarlos en el nuevo formato con slapadd.

    o Cambios en el servidor IMAP -- El servidor IMAP ahora utiliza el 
      soporte contenido en el certificado SSL en vez del soporte stunnel.
      As, segn el nombre del fichero del certificado que usa imapd ha
      cambiado de stunnel.pem a imapd.pem. Los usuarios 
      que estn actualizando versiones anteriores de Red Hat Linux tendrn
      que dar otro nombre, copiar o crear un enlace simblico al certificado.

    o Sendmail -- Por defecto, Sendmail no acepta
      conexiones en red de otros ordenadores salvo del ordenador local.
      Si desea configurarlo para que sea servidor de otros clientes, modifique
      el /etc/mail/sendmail.mc y cambie las DAEMON_OPTIONS para tambin
      escuchar en dispositivos de red o bien comente esta
      opcin. Tiene que regenerar /etc/sendmail.cf ejecutando lo siguiente:

            m4 /etc/mail/sendmail.mc > /etc/sendmail.cf

      Observe que debe de tener instalado el paquete sendmail-cf.

    o Otros paquetes importantes:

        - Codificador/decodificador de audio Ogg Vorbis
        - Navegador web Mozilla
        - LSB junto con los paquetes SGML y XML
        - KDE 2.1 y KOffice
        - BIND 9.x con soporte DNSsec y control remoto
        -  Sporte SSL en links, slrn, OpenLDAP y pine
        - Pine 4.33
        - Editor Quanta HTML (en el CD Powertools)
        - Postfix y exim (en el CD Powertools) incluyen soporte SSL/TLS 
        - WINE (en el CD Powertools) ejecuta directamente ficheros .exe de
          Windows desde Linux.


    o Paquetes eliminables -- Los siguientes paquetes son eliminables por lo
      que pueden desaparecer en un futuro:

        - AfterStep
        - Netscape 4.x
        - Qt 1.x
        - Libreras de compatibilidad/entorno de creacin KDE v1
        - elm
        - linuxconf
        - ncpfs
        - mars_nwe



Puntos conocidos / Problemticas:
-----------------------------

    o El soporte PCMCIA ha cambiado mucho desde que sali al mercado la
      versin 7 de Red Hat Linux; si personaliza el soporte PCMCIA con las
      versiones anteriores de Red Hat Linux, deber revisar los cambios.

    o Algunas JVMs de Java (tanto la de Sun como la de IBM) no funcionan con
      las nuevas car-actersticas de la tecnologa de coma flotante de la
      versin i686 del glibc. Esto es debido a los errores de programacin de
      las JVMs que ahora ya no son vlidos. Los distribuidores
      estn intentando solucionar el problema. Hasta que los paquetes JVM
      corregidos no estn disponibles, tendr que forzar a glibc a usar el 
      modelo eliminable estableciendo la siguiente variable de entorno:

                          LD_ASSUME_KERNEL=2.2.5




Documentacin- Cambios y mejoras
--------------------------------

    o Documentacin adicional sobre VNC en el /etc/sysconfig/vncservers -
      Debido a restricciones en el tiempo, no se pudo incluir la siguiente
      informacin en la anterior publicacin de la Official Red Hat Linux
      Reference Guide.

      El fichero /etc/sysconfig/vncservers configura cmo arrancar el servidor
      Virtual Network Computing (VNC). El servidor VNC es un sistema de
      pantallas remotas que le permite visualizar el entorno de un escritorio
      no slo en el ordenador en el que se est ejecutando,
      sino tambin cuando se est ejecutando en redes diferentes (desde la
      lnea LAN a Internet) usando una amplia variedad de arquitecturas.
  
      
      Contiene lo siguiente:

      VNCSERVERS=<value>, donde el valor de <value> es  "1:fred", indica que el
      usuario A en la pantalla 1 ha arrancado el servidor VNC. Dicho usuario
      seguramente ha creado una contrasea para el servidor VNC usando
      vncpasswd antes de intentar conectarse al servidor
      remoto VNC.

      Observe que cuando usa un servidor VNC, la comunicacin no est
      codificada, por lo que no debera utilizarse en una red insegura. 
      Para ms informacin sobre la utilizacin del SSH
      para llevar a cabo una comunicacin segura, consulte
      http://www.uk.research.att.com/vnc/ sshvnc.htmlas como las guas
      Reference y Customization de Red Hat Linux.

i386 7.1

