Notes de mises  jour de Red Hat Linux 7.1
------------------------------------------

Ce document dcrit les nouvelles fonctionnalits de Red Hat Linux 7.1,
qui n'ont pas pu tre prpares  temps pour tre insres dans la 
documentation. Pour trouver les informations les plus rcentes, consultez 
le fichier RELEASE-NOTES contenu dans le CD 1 de Red Hat Linux.


Changements de dernire minute
------------------------------

    o Le programme d'installation d'Oracle (versions 8.1.7, 8.1.6 et peut-tre
      d'autres) ne fonctionne pas correctement avec glibc 2.2 et versions
      suprieures. Le problme rside dans le fait qu'il compile des fichiers
      objets bass sur des versions diffrentes de glibc (la compatibilit
      binaire n'est assure que pour les excutables et les bibliothques
      partages  travers la conversion des symboles). Pour rsoudre ce
      problme, installez les paquetages de compatibilit de Red Hat Linux 6.2
      (compat-egcs, compat-glibc et compat-libs) et entrez les commandes 
      suivantes avant de lancer le programme d'installation d'Oracle :

        export LD_ASSUME_KERNEL=2.2.5
        . /usr/i386-glibc21-linux/bin/i386-glibc21-linux-env.sh

      La seconde ligne exporte les variables d'environnement qui font que gcc
      et ld cherchent les en-ttes et les bibliothques de compatibilit de 
      glibc 2.1.3.

    o Rappel concernant l'installation de NFS, FTP ou HTTP -- Puisque le 
      programme d'installation de Red Hat Linux 7.1 peut installer Red Hat
      Linux  partir de plusieurs CD-ROM, si vous souhaitez grer 
      l'installation de NFS, FTP ou HTTP, vous ne pouvez plus simplement
      monter un seul CD-ROM Red Hat Linux et procder  l'installation 
       partir de celui-ci.

      Vous devez en effet copier le rpertoire RedHat de chaque CD-ROM
      de Red Hat Linux 7.1 sur une disque :

        - Insrez le CD 1
          montez /dev/cdrom /mnt/cdrom
          cp -var /mnt/cdrom/RedHat /emplacement/de/l'espace/disque/
          dmontez /mnt/cdrom

        - Insrez le CD 2
          montez /dev/cdrom /mnt/cdrom
          cp -var /mnt/cdrom/RedHat /emplacement/de/l'espace/disque/
          dmontez /mnt/cdrom

      Ensuite vous devez rendre l'/emplacement/de/l'espace/disque accessible 
      au programme d'installation (par exemple, en l'exportant pour
      les installation NFS) :

        - Exportez l'/emplacement/de/l'espace/disque/


Changements et amliorations de l'installation
----------------------------------------------

Le programme d'installation de Red Hat Linux 7.1 comprend de nombreuses
nouvelles fonctionnalits. Pour de plus amples informations, consultez 
le Guide d'installation officiel de Red Hat Linux.

o     Mises  jour concernant le swap -- Le noyau 2.4 est plus agressif que 
      le noyau 2.2 en terme d'utilisation de l'espace. La bonne organisation 
      de l'espace swap dpend, comme pour les versions prcdentes du noyau, 
      des lments suivants :

        - Quantit de mmoire RAM installe
        - Quantit d'espace disque disponible pour le swap
        - Applications excutes
        - Combinaison des applications excutes en mme temps

      Aucune rgle empirique ne peut prendre en considration toutes ces
      donnes. Cela dit, nous vous recommandons les tailles swap suivantes :

        - Systmes  un seul utilisateur comportant moins de 128Mo de RAM
          physique : 256Mo

        - Systmes  un seul utilisateur et petits serveurs comportant une
          mmoire RAM physique de 128Mo : deux fois la RAM physique (2xRAM)

        - Serveurs ddis de plus de 512Mo de RAM physique : en fonction de
          l'environnement (doit tre dtermin au cas par cas)


      Les systmes prsentant des configurations et des charges applicatives
      particulires pourront sans doute fonctionner avec moins d'espace swap 
      (ou pas d'espace du tout). Ces lignes directrices ont pour but d'assurer 
      que vous ne travaillerez pas hors du swap. En tout cas, 
     
      "Il vaut mieux avoir de l'espace swap et ne pas l'utiliser que d'en
      avoir besoin et ne pas en disposer."

    o Problmes de swap lis  la mise  jour-Si vous excutez une nouvelle
      installation Red Hat Linux 7.1, le choix de la taille des partitions 
      swap reprsente un processus relativement simple. Si, au contraire, 
      vous avez un vieux systme Red Hat Linux que vous voulez mettre  jour 
      pour en faire un systme Red Hat Linux 7.1, la taille des partitions
      swap que vous aviez auparavant peut ne plus tre suffisante.

      Le programme d'installation Red Hat Linux 7.1 examine l'espace swap
      disponible. S'il n'y a pas suffisamment d'espace swap, il configurera 
      de l'espace swap supplmentaire sous forme de fichier swap. Le programme 
      d'installation vous demandera de slectionner une partition sur 
      laquelle vous voulez crer un fichier swap. Il vous demandera
      galement quelle taille le nouveau fichier swap devra avoir.

      (REMARQUE : le programme d'installation de Red Hat Linux 7.1 ne cre
      jamais de partition ou de fichier swap de plus de 2Go. Si vous avez 
      besoin de plus de swap, vous devez le configurer  la fin de 
      l'installation.)

    o XFree86 4.0.3 -- Le programme d'installation de Red Hat Linux 7.1
      contient des crans test amliors et une meilleure dtection de 
      mmoire vido. Plus que jamais, il vous simplifiera la vie au cours 
      du processus d'installation.

    o Configuration du pare-feu -- Pour une plus grande scurit, vous pourrez
      dsormais configurer le pare-feu au cours de l'installation du systme. 
      Vous pouvez choisir entre deux niveaux de scurit et slectionner les 
      services du systme que vous voulez activer ou non par dfaut.

      N'oubliez pas que les paramtres "medium" et "high" du pare-feu
      bloqueront les services bass sur RPC (comme NIS ou NFS) et les 
      empcheront donc de fonctionner.

    o Installation du disque dur -- Les images ISO sont dsormais requises pour
      l'installation du disque dur. Il n'est donc plus ncessaire de copier 
      et installer l'arborescence entire, il vous suffit de placer les 
      images ISO dans un rpertoire. Au cours de l'installation du disque dur,
      dirigez le programme d'installation de Red Hat Linux dans ce rpertoire.
      De plus, Red Hat publie des sommes de contrle MD5 pour toutes les 
      images ISO, vous garantissant ainsi que vous utilisez le logiciel 
      officiel si vous excutez le programme md5sum pour les images ISO. Vous 
      pourrez donc comparer les sommes de contrle  celles qui ont t
      publies par Red Hat.


    o Slection de la langue -- La slection de la langue a t nettement
      amliore. Vous pouvez maintenant procder  l'installation dans une 
      langue et demander  ce que le systme, aprs l'installation, 
      fonctionne dans une autre langue.

    o Classe d'installation portable -- Une nouvelle classe d'installation
      portable est disponible. Elle reconnat par dfaut le support PCMCIA et 
      devrait tre dtecte automatiquement si votre ordinateur est dot 
      d'un contrleur PCMCIA.

    o Support LBA32 -- Il existe maintenant un support pour l'option LBA32
      dans LILO. Il est possible de le lancer depuis les partitions 
      partiellement ou entirement au-dessus du cylindre 1024
      (qui a t une limitation historique). Notez cependant que toutes les
      cartes mre ne supportent pas cette option, mme lorsque le BIOS 
      soutient que le support est disponible. C'est pourquoi cette option 
      est dsactive par dfaut. Notez galement que cette option est
      disponible UNIQUEMENT lorsqu'une partition a t cre  l'aide de
      fdisk. Cette partition est alors choisie comme partition /boot ou /. 
      La restriction fdisk est ncessaire car il n'est pas possible de crer 
      de partition amorable au-dessus du cylindre 1024  l'aide de Disk Druid.

    o Mise  jour de Disk Druid-Disk -- Druid dtecte les incohrences de la
      table des parti-tions, comme par exemple les partitions qui ne 
      finissent pas sur des limites de cylindre.
      Cela peut arriver si la gomtrie du disque dur est diffrente de ce
      qu'elle tait au moment o le disque avait t partitionn. Dans ces 
      cas, nous vous recommandons d'utiliser le programme fdisk pour examiner 
      de plus prs ces incohrences, ou d'ignorer le disque.

    o Configuration graphique de Kickstart -- Red Hat Linux 7.1 fournit
      maintenant une interface graphique pour la cration de configurations 
      kickstart, permettant de crer plus facilement des installations 
      personnalises et sans surveillance.

    o Mise  jour du mode de secours (Rescue) -- Le mode de secours tente de
      monter les systmes de fichiers de /etc/fstab (en supposant que le
      systme de fichiers root puisse tre trouv). Les systmes de fichiers 
      sont monts sous /mnt/sysimage. Ceci limine une tape difficile pour 
      l'utilisateur qui emploie ce mode pour la premire fois.

    o Nouvelle option scurise de configuration de l'authentification -- La
      configuration de l'authentification comprend la capacit d'utiliser 
      Transport Layer Security ( TLS) durant les consultations. TLS permet 
      aux clients LDAP d'utiliser une connexion crypte lorsqu'ils
      effectuent l'authentification.

    o Amliorations diverses du programme d'installation -- De nombreux tests
      et vrifications supplmentaires sont pratiqus pour rsoudre les 
      problmes qui causaient jusqu' prsent des pannes d'installation. 
      Ceci devrait liminer une bonne partie des mauvaises expriences 
      auxquelles sont confronts les nouveaux utilisateurs.

Changements et amliorations du systme
---------------------------------------

Red Hat Linux 7.1 comporte de nombreuses nouveauts en-dehors du processus 
d'installation. Certaines de ces nouveauts concernent les programmes du 
serveur, d'autres sont de nouvelles applications ou des changements de 
l'environnement du bureau. Cette liste fournit quelques informations sur ce 
que vous trouverez dans Red Hat Linux 7.1 lorsque vous l'utiliserez.

    o Mise  jour de composants du systme central -- Des amliorations ont 
      t apportes aux composants suivants pour la version Red Hat Linux 7.1 :

       - noyau 2.4.x (avec des corrections supplmentaires)
       - glibc 2.2.2
       - KDE 2.1.1
       - XFree86 4.0.3 avec l'extension Xft de rendu des caractres anti-alias
       - GCC 2.96-RH, avec les nombreuses corrections qui ont t apportes
         depuis la version originale 7.0

    o Support USB amlior -- Le noyau2.4 donne  Red Hat Linux 7.1 un support
      USB plus volu que celui des versions prcdentes de Red Hat Linux. 
      Il reconnat plus de priphriques et comprend le support de dispositifs
      de stockage comme les CD-ROM. Il supporte galement les priphriques  
      branchement  chaud -- si un priphrique est branch aprs le 
      dmarrage, les pilotes appropris se chargeront automatiquement.

    o Lecteurs de supports amovibles automatiquement ajouts  /etc/fstab --
      RedHat Linux 7.1 offre aux utilisateurs la possibilit de monter et
      dmonter des supports amovibles. C'est la fonction du programme updfstab
      (qui fait partie de kudzu, le configurateur automatique de matriel au 
      dmarrage). Il ajoute et efface les entres ncessaires dans /etc/fstab.
      Notez que chaque entre gre par updfstab contient la nouvelle option 
      kudzu -- il fonctionne comme un indicateur montrant que l'entre peut 
      tre efface par la suite ; si vous souhaitez ajouter en permanence une
      entre comme celle-ci dans votre fstab, il vous suffit de dsactiver
      l'option kudzu.

      Les priphriques  branchement  chaud sont manipuls par une
      combinaison de cadmgr, hotplug, updfstab et pam_console_apply. Lorsque 
      le noyau notifie  hotplug ou cardmgr qu'un nouveau priphrique de 
      stockage a t attach au systme, updfstab est excut pour ajouter 
      les nouvelles entres  fstab. Ensuite, updfstab excute 
      pam_console_apply, qui utilise les rgles spcifies dans
      /etc/securi-ty/console.perms pour autoriser l'accs au service  
      l'utilisateur de la console en cours.

      Les utilisteurs GNOME qui excutent magicdev verront apparatre
      automatiquement des icnes de priphriques sur leur bureau. magicdev 
      vrifie rgulirement la date de /etc/fstab et indique  gmc d'analyser 
      les priphriques lorsque fstab a chang. Si vous n'excutez pas 
      magicdev, l'option "Rescan Devices" (analyser les priphriques)
      du menu racine gmc, qui apparat lorsque vous cliquez avec le bouton
      droit sur le bureau, fonctionne de manire quivalente.

      Les utilisateurs de KDE verront des fonctions similaires.

    o Nouveaux priphriques et pilotes mis  jour-Red Hat Linux 7.1 prsente 
      de nombreux nouveaux pilotes, ainsi que des disques mis  jour pour 
      pouvoir s'adapter au noyau 2.4. Ces changement comprennent :

        - Disque Adaptec AIC7XXX SCSI mis  jour
        - sous-systme IEEE1394 (FireWire?)
        - Adaptec starfire quad ethernet
        - Aironet 802.11 WiFI ethernet
        - National Semiconductor DP83810 ethernet
        - sous-systme ATM et autre disques ATM
        - sous-systme DECnet
        - Cyclom 2X, DEFEA, et DEFPA FDDI
        - support IPv6
        - NFS version 3
        - iptables, une couche pare-feu amliore
        - son Maestro3
        - contrleur Broadcom BCM5700 PCI-X 10/100/1000BASE-T
        - support des contrleurs IDE UltraDMA/66 et UltraDMA/100

    o Acclration 3D sous XFree86 4.0.3 -- Une grande quantit de cartes 3DFX
      a t ajoute  la liste des cartes supportant les images 3D acclres.
      De plus, les cartes bases sur Intel i810, Matrox G200, G400, G450 
      (REMARQUE : les oprations  double tte sur G450 ne sont pas 
      supportes) et ATI Rage 128 supportent galement des images 3D
      acclres. Les acclrations 3D sur cartes ATI Radeon ne sont pour
      l'instant pas supportes par XFree86 4.0.3.

    o Nouvel outil de configuration d'Apache -- apacheconf :

       - Gre de faon intelligente les htes virtuels
       - Utilise "Alchemist Data Library"

    o Nouvel outil de configuration BIND -- bindconf :
       - Facilite la configuration DNS
       - Utilise "Alchemist Data Library"

    o Nouvel outil de configuration de l'impression -- printconf :

       - Filtres bass sur le magicfilter de David Parson, le systme foomatic
         et Linux Printing Database (http://linuxprinting.org)
       - Prend en charge plus de 500 imprimantes
       - Met  jour les vieux systmes configurs avec printtool
       - Utilise "Alchemist Data Library"

    o Des amliorations de Red Hat Network et le service Software Manager
      sont annoncs -- Red Hat Network et son programme client Update 
      Agent ont t tendus pour cette version de Red Hat Linux. De plus, un 
      nouveau service -- Software Manager -- a t annonc. Cette technologie 
      contient les amliorations suivantes :

       - Update Agent supporte entirement les oprations en ligne de commande.
       - Un utilitaire de configuration en mode texte est inclus.
       - L'utilisation en mode graphique peut tre dsactive en spcifiant
         l'option de ligne de commande --nox.
       - Une rsolution plus intelligente des chanes complexes 
         d'interdpendances des paquetages.
       - Les options de ligne de commande --whatprovides et --solvedeps
         permettent d'interroger la banque de donnes de Red Hat Network pour 
         afficher graphiquement les dpendances des paquetages.
       - L'option de ligne de commande --packagedir prsente une liste de
         rpertoires  spcifier. Les dpendances  satisfaire seront 
         recherches dans ces rpertoires.
       - Les mises  jour du noyau peuvent maintenant tre excute par
         Update Agent.

    o Rpertoires Emacs/XEmacs site-start.d-Emacs/XEmacs supportent chacun
      un rpertoire site-start.d. Les paquetages peuvent dsormais placer les 
      fichiers de lancement emacs .el dans le rpertoire appropri et ils 
      seront lus au dmarrage de l'diteur. Il n'est donc plus ncessaire 
      d'diter directement le fichier site-start.el. Ces rpertoires sont :

           /usr/share/emacs/site-lisp/site-start.d
           /usr/lib/xemacs/xemacs-packages/lisp/site-start.d

    o Nouvel outil de configuration ADSL/ISDN-internet-config est un
      remplaant de adsl-config et isdn-config. Il guide les nouveaux
      utilisateurs dans l'installation du rseau pour les mthodes de 
      connexion courantes.

    o Mise  jour de PostgreSQL-Si vous mettez  jour la version Red Hat
      Linux 6.2 ou une version prcdente, vos bases de donnes actuelles 
      doivent tre soumises  un cycle exportation/rimportation. Pour cela, 
      utilisez pg_dumpall(1) AVANT de mettre  jour Red Hat Linux 7.1. Aprs 
      la mise  jour, consultez le fichier README.rpm dans
      /usr/share/doc/postgresql*/.

      Notez galement que la mise  jour maintient les anciens binaires (ainsi
      qu'un script d'aide), mais il est fortement recommand d'effectuer 
      l'exportation de vos donnes avant la mise  jour et l'importation aprs.

    o Mise  jour de OpenLDAP -- Le format de stockage sur disque utilis par
      slapd, binaire de serveur autonome OpenLDAP, a chang. Les utilisateurs 
      mettant  jour LDAP depuis des versions prcdentes de Red Hat Linux 
      devront exporter leurs annuaires dans les fichiers LDIF en utilisant 
      ldbmcat -n et les rimporter dans le nouveau format  l'aide de slapadd.

    o Changements du serveur IMAP -- Par dfaut, le serveur IMAP utilise le
      support SSL prdfini au lieu du support de cration de passerelle par 
      stunnel. En consquence, le nom du fichier de certificat utilis par 
      imapd est pass de stunnel.pem  imapd.pem. Les utilisateurs mettant  
      jour une version prcdente de Red Hat Linux devront renommer,
      copier ou crer un lien symbolique vers leur certificat existant.

    o Sendmail -- Par dfaut, sendmail n'accepte pas de connexions rseau d'un
      autre hte que l'ordinateur local. Si vous voulez configurer sendmail 
      comme serveur pour d'autres clients, ditez /etc/mail/sendmail.mc et 
      changez DAEMON_OPTIONS pour couter certains priphriques rseau, ou 
      commentez cette option. Vous devrez rgnrer /etc/sendmail.cf en 
      excutant :

            m4 /etc/mail/sendmail.mc > /etc/sendmail.cf

      Notez que vous devez avoir install le paquetage sendmail-cf pour
      effectuer cette opration.

    o Autres paquetages importants :

       - codeur/dcodeur audio Ogg Vorbis
       - navigateur Web Mozilla
       - paquetages SGML et XML compatibles LSB
       - KDE 2.1 et KOffice
       - BIND 9.x avec support DNSsec et commande  distance named
       - support SSL dans links, slrn, OpenLDAP et pine
       - Pine 4.33
       - diteur HTML Quanta (dans les PowerTools)
       - Postfix et exim (dans les PowerTools) comprennent le support SSL/TLS
       - WINE (dans les PowerTools) peut directement excuter les binaires
         Windows .exe depuis Linux

    o Paquetages obsoltes-Les paquetages suivants sont obsoltes et
      pourraient disparatre dans la prochaine version :

       - AfterStep
       - Netscape 4.x
       - Qt 1.x
       - KDE v1 bibliothques de compatibilit / environnement de construction
       - elm
       - linuxconf
       - ncpfs
       - mars_nwe
       
Remarques :
-----------

    o Le support PCMCIA a beaucoup chang depuis la version 7 de Red Hat
      Linux ; si vous avez personnalis le support PCMCIA sous une version 
      prcdente de Red Hat Linux, vous devriez revoir vos changements.

    o Certaines JVM (machines virtuelles Java) de Sun et IBM ne fonctionnent
      pas avec la nouvelle fonctionnalit de pile flottante de la version i686
      de glibc. Les pannes sont dues  des assertions dans la programmation 
      des JVM qui ne sont plus valables. Les dveloppeurs de JVM travaillent 
      aux corrections ncessaires. En attendant ces corrections des paquetages
      JVM, vous devrez forcer glibc  utiliser les anciens modles de piles en
      exportant la variable d'environnement suivante :
                         
                          LD_ASSUME_KERNEL=2.2.5



Documentation concernant les changements et les amliorations
-------------------------------------------------------------

    o Documentation supplmentaire concernant le fichier
      /etc/sysconfig/vncservers -- Les contraintes de temps ne nous ont 
      pas permis de prparer les informations avant la date d'impression du 
      Guide de rfrence Red Hat Linux.

      Le fichier /etc/sysconfig/vncservers configure le dmarrage du serveur
      Virtual Network Computing (VNC). VNC est un systme local d'affichage 
      qui vous permet d'afficher un environnement non seulement sur 
      l'ordinateur sur lequel il est excut, mais aussi  travers diffrents 
      rseaux (depuis un rseau local jusqu' Internet) et utilisant une grande
      varit d'architectures.

      Il peut contenir les lments suivants :

      VNCSERVERS=<value>, o <value> pourra par exemple ressembler  1:fred,
      pour indiquer qu'un serveur VNC devrait tre lanc par l'utilisateur 
      fred sur l'cran :1. L'utilisateur fred doit avoir install un mot de 
      passe VNC en utilisant vncpasswd avant d'essayer de se connecter au 
      serveur VNC local.

      Notez que lorsque vous utilisez un serveur VNC, votre communication
      avec lui n'est pas crypte. Elle ne devrait donc pas tre utilise sur 
      un rseau non scuris. Pour obtenir des instructions spcifiques 
      concernant l'utilisation de SSH pour scuriser la communication
      VNC, veuillez consulter les informations que vous trouverez  l'adresse
      http://www.uk.research.att.com/vnc/ sshvnc.html. Pour en savoir plus
      sur SSH, veuillez vous rfrer au Guide de rfrence et au
      Guide de personnalisation Red Hat Linux.

