Red Hat Linux/x86 7.2 Notas de ltima hora
---------------------------------------------

Anaconda/Notas sobre la instalacin
-----------------------------------

 Gestor de arranque
 ------------------

   - A partir de este momento utilizaremos GRUB como gestor de arranque por defecto.
     No obstante, LILO est disponible para instalaciones antiguas. 

   - GRUB soporta una contrasea que controla el acceso a la shell de GRUB. GRUB tiene
     la habilidad de ejecutar comandos arbitrarios de importancia vital para el
     mantenimiento de la seguridad del sistema.  Considere las implicaciones del mismo 
     con detenimiento antes de decidir el uso de una contrasea GRUB. Esta contrasea
     est encriptada mediante el uso de MD5; vea la pgina de manual grub-md5-crypt para
     obtener ms informacin.

   - Cuando ejecute la actualizacin de una versin precedente de Red Hat Linux,
     es necesario que escribir el gestor de arranque en el mismo sitio en el que 
     fue usado en la instalacin anterior. Por ejemplo, si el gestor de arranque ha 
     sido instalado en el master boot record (MBR) originariamente, cuando el sistema 
     se actualice deber copiar tambin el gestor de arranque en el MBR. De no ser 
     as, probablemente no le sea posible arrancar el sistema.
    
   - Si utiliza el gestor de arranque GRUB, no deber volver a ejecutar GRUB
     despus de haber actualizado el kernel. Esto no es as con el gestor de arranque
     LILO, que necesita volver a ejecutar LILO despus de cada cambio.
     Tan slo deber modificar la configuracin del fichero de GRUB (/boot/grub/grub.conf)
     para indicar el kernel y permitir que GRUB lo arranque.

   - Si decide usar el gestor de arranque GRUB tras la instalacin o necesita
     reinstalar GRUB, lo podr hacer mediante el uso del comando  /sbin/grub-install.
     La sintaxis del comando incluye la especificacin del dispositivo mostrndole el
     lugar en el que el gestor de arranque ser instalado.
     
     Ejemplo
               /sbin/grub-install /dev/hda

   - Para arrancar en modo monousuario desde GRUB, haga lo siguiente desde
     la ventana de men de GRUB:

         1.  Seleccione el kernel que desee iniciar.

         2.  Pulse la tecla 'e' para modificar dicha entrada.

         3.  Utilice las teclas de las flechas para navegar en la lnea del kernel
             (por ejemplo: kernel /vmlinuz-2.4.7-1 ro root=/dev/hda2)

         4.  Pulse la tecla 'e' para modificar la lnea.

         5.  Aada el argumento 'single' al final de la lnea y
             pulse Intro.

         6.  Pulse la tecla 'b' para arrancar.


 Particionamiento
 ----------------

   - La interfaz de usuario Disk Druid ha sido rediseada para 
     incorporar una interfaz que aproveche mejor el entorno grfico.

   - Disk Druid puede crear particiones primarias al especificar el 
     rango del cilindro.

   - Disk Druid soporta la habilidad de especificar la creacin de 
     una nueva particin como una particin primaria.

   - Las instalaciones en modo texto poseen soporte para la creacin 
     de dispositivos RAID.

   - Se soporta la especificacin de dispositivos disponibles para RAID.

   - El autoparticionamiento permite especificar qu unidades utilizar 
     y cuales no.

   - Existe una opcin para visualizar y modificar los resultados del 
     autoparticionamiento (slo para instalaciones grficas -- bajo el 
     modo texto siempre se pueden ver los resultados).

   - El sistema de ficheros journaling ext3 est ahora disponible.

   - Se seleccionarn sistemas de ficheros preexistentes para volver a 
     formatear durante la instalacin.

   - Los sistemas de ficheros ext2 existentes podrn ser migrados a ext3 
     durante la instalacin y actualizacin. Este proceso no afecta a los 
     datos del sistema de ficheros.

   - Se han realizado pruebas adicionales contra los puntos de montaje 
     creados por el usuario; esto debera evitar los problemas ms comunes 
     (tales como un punto de montaje '/' de tan slo 5 MB).

   - GNU Parted es utilizado como programa de particionamiento principal, 
     sustituyendo de este modo a la librera libfdisk.

     Parted determina el tipo de sistema de ficheros al examinar el sistema 
     de ficheros actual escrito en una particin, en lugar de hacerlo en una 
     clase de sistema de ficheros escrita en una tabla de particin. Esto le 
     puede llevar a situaciones de confusin en el caso de que haya particiones 
     que ya existan en su sistema.

     Por ejemplo, si usa fdisk para cambiar el tipo de particin de 
     una particin VFAT a una particin ext2, parted lo considerar 
     como una particin VFAT porque todava existe un sistema de ficheros 
     VFAT en l. En este ejemplo, deber volver a formatear la
     particin como ext2 a travs de la interfaz Disk Druid antes 
     de que la particin sea considerada como ext2.  Cada vez que utilice 
     fdisk en el instalador y vaya a la pantalla de configuracin de 
     los puntos de montaje, deber revisar y modificar cada particin 
     (en Disk Druid) y configurar apropiadamente las opciones de formateo.

 Kickstart
 ---------
 
   - Durante el proceso de instalacin, se escribe un fichero 
     kickstart en /root/anaconda-ks.cfg en el que se reflejan las 
     opciones de la instalacin realizada . Este fichero puede usarse 
     para crear una instalacin similar a la del sistema recin instalado.

   - Kickstart funciona en modo grfico (cuando ste est disponible).
     No obstante, se puede cambiar al modo texto usando el comand 'text'
     en el fichero kickstart.

   - Kickstart Configurator (ksconfig) soporta la creacin de 
     particiones en una unidad especfica y existente, la 
     configuracin de las X, la escritura de los scripts de 
     pre y post- instalacin, la ejecucin de una actualizacin 
     y las nuevas caractersticas presentes en esta versin. Tambin 
     permite a los usuarios visualizar las opciones que haya elegido con 
     antelacin antes de guardar el fichero y posee un manual integrado 
     para la creacin de un fichero kickstart de forma sencilla.

   - Kickstart posee diferentes nuevas caractersticas/directivas:

     interactive -- lee en el fichero kickstart, realiza la instalacin 
                    con la interfaz de usuario rellena con valores de 
                    kickstart. Esperar la entrada de datos del usuario 
                    en cada ventana.

     text -- fuerza que kickstart funcione en modo texto. El modo grfico es el          
             predeterminado en esta versin.

   - El comando clearpart acepta la opcin --ondisk:

     --ondisk -- se pueden especificar la unidades en las que se 
                 desea crear las particiones.

   - Un nuevo comando para el gestor de arranque 'bootloader' 
     que soporta lo siguiente:

     --append <args> -- aade <args> en la lnea del kernel

     --useLilo -- usa LILO en lugar de GRUB

     --md5pass <contrasea encriptada MD5> -- contrasea a utilizar para GRUB

   - Indicadores aadidos para el comando xconfig que sirven para definir:

     --resolution 1024x768 -- configuracin de la resolucin de la 
                              pantalla (1024 por 768 en este ejemplo)

     --depth 16 -- configurar la profundidad del color (configuradada a
                   16 bits de color en este ejemplo)

 Miscelnea
 ----------

   - La pantalla individual de seleccin soporta ahora la visualizacin 
     de todos los paquetes.

   - Para instalaciones basadas en FTP, ahora es posible montar 
     imgenes ISO de Red Hat Linux en loopback en un servidor FTP. 
     Las imgenes ISO deberan ser montadas en loopback como /disc1, 
     /disc2, etc -- en el mismo directorio. Este directorio debera 
     ser especificado cuando se inicia un instalacin basada en FTP.

   - Para maximizar espacio en la imagen de instalacin, el programa 
     BusyBox proporciona soporte para muchos comandos que se usan 
     habitualmente.

   - El modo rescate aparece antes de intentar montar los sistemas de 
     ficheros del sistema instalado.

  - Las instalaciones sin particiones ya no estn soportadas; sin 
    embargo, s que estn soportadas las instalaciones sin 
    particiones anteriores.

   - Los dispositivos de disco USB se soportan ahora durante la instalacin.


Notas generales sobre la distribucin
-------------------------------------

   - Existen algunas particularidades al actualizar sistemas Red Hat 
     Linux 6.x, 7.0 y 7.1 que utilicen Ximian GNOME.

     Dichas particularidades se deben a la superposicin entre los RPMs 
     oficiales de Red Hat Linux y los de Ximian. Sepa que sta es una 
     configuracin no soportada por Red Hat. Tiene diferentes opciones 
     para resolver esta particularidad:

     - Eliminar Ximian GNOME de su sistema Red Hat Linux antes de 
       actualizar Red Hat Linux.

     - Actualizar Red Hat Linux e inmediatamente reinstalar Ximian GNOME.

     - Actualizar Red Hat Linux e inmediatamente eliminar todos los RPMs 
       de Ximian restantes y reemplazarlos con los RPMs de Red Hat Linux 
       correspondientes.

     *Debe* resolver la superposicin de versin mediante una de las opciones 
     anteriormente expuestas. De lo contrario su configuracin de GNOME ser 
     muy inestable. 

   - GNOME ha sido actualizado hasta la versin 1.4 y se inclulye la shell 
     grfica Nautilus.

   - El centro de control GNOME ha sido reemplazado por la carpeta 
     'preferences:' en Nautilus. La ejecucin de 'gnomecc' de forma 
     manual debera funcionar.

   - Ya no existe el CD de PowerTools. Sin embargo, los paquetes ms 
     utilizados en PowerTools se han incluido en Red Hat Linux.
 
   - Configuracin del Firewall -- Para ms seguridad, puede configurar 
     un firewall como parte de la instalacin de su sistema. Puede 
     escoger entre dos niveles de seguridad, as como entre los 
     servicios del sistema ms comunes que han de habilitarse o 
     deshabilitarse por defecto.

     Ambas configuraciones del firewall, ya sea 'media' o 'alta' 
     provocarn servicios basados en RPC (tales como NIS o NFS) que 
     podrn bloquearse y fallar.

   - XFree86 actualizada hasta 4.1.0 incluyendo soporte mejorado 
     de hardware. Se incluye aceleracin hardware 3D para el chipset 
     ATI Radeon. La mayora de las tarjetas de vdeo soportan la 
     extensin RENDER y proporcionan soporte de fuente anti-alias 
     para una amplia gama de hardware. Las viejas extensiones de X, 
     XIE y PEX (Phigs), pasan a no estar aprobadas oficiamente por 
     el equipo de Xfree86 y sern eliminadas de la prxima versin 
     de Red Hat Linux.
    
  - XFree86 3.3.6 pasa a ser anticuado y ser eliminado en futuras versiones de
    Red Hat Linux.  Actualmente se incluye por compatibilidad.

   - Los initscripts utilizan ahora /sbin/ip (de los paquetes iproute) 
     para la mayora de operaciones. /sbin/ip requiere netlink y las 
     caractersticas netlink routing del kernel para funcionar correctamente; 
     es imposible utilizar la funcionalidad completa de ruteo del  
     kernel sin estas caractersticas. Si crea su propio kernel, 
     asegrese de que CONFIG_NETLINK y CONFIG_RTNETLINK estn habilitados.

   - Se ha aadido soporte inicial unificado para el coreano.

   - Binutils y gcc soportan la fusin de duplicados de constantes de 
     cadenas a travs de binarios o libreras compartidas (previamente 
     los duplicados se fusionaban mediante una nica unidad de compilacin).

   - Se ha incluido gcc-3.0 para aquellos que necesiten soporte standard 
     compatible en C++ o STL y para aquellos que quieren utilizar las 
     caractersticas de gcc para Java.  Observe que el compilador del 
     sistema soportado para C y C++ todava es gcc-2.96 (Red Hat).

   - El paquete VNC soporta un nuevo tipo de codificacin para las 
     conexiones de ancho de banda bajo. 

   - Red Hat Linux incluye la primera versin del procesador XSLT de 
     Gnome (xsltproc) que usa la versin 2 de la librera asociada XML.

  - Se ha aadido soporte ODBC para php, postgresql ha sido actualizado a la
    versin  7.1.2, se han aadido interfaces y se han actualizado 
    interfaces perl.

  - Se incluyen nuevas herramientas de configuracin. Con estas herramientas 
    puede configurar:

       -  la red (redhat-config-network)
       -  la hora/fecha (redhat-config-date)
       -  el control del sistema (redhat-config-services)
       -  los usuarios/grupos (redhat-config-users)
       
   - Se han desaprobado los siguientes paquetes/caractersticas antiguos/as
     y se eliminarn en sucesivas versiones de Red Hat Linux:
     
       - Netscape 4.x
       - Qt 1.x
       - KDE v1 libreras de compatibilidad/entorno de creacin
       - Entorno de creacin de Red Hat Linux 6.x
       - Gestor de ventanas Enlightenment
       - linuxconf
       - ncpfs
       - mars_nwe
       - XFree86 3.3.x
       - kaffe

Notas sobre el kernel
---------------------

   - El Kernel incluye el sistema de ficheros journaling ext3. 
     Este sistema de ficheros tiene 3 formas de operar:

       - 'ordered'
       - 'journal'
       - 'writeback'

      La forma predeterminada es 'ordered', que le asegurar la 
      visualizacin de datos vlidos en lo ficheros recientemente 
      escritos tras una cada del sistema.

      El modo 'writeback' puede ser ms rpido en algunos casos, 
      pero no fuerza los datos al disco tan rigurosamente; de 
      manera que, tras una cada del sistema, podr visualizar 
      los datos corruptos en los ficheros recientemente escritos.

      El modo'journal' copia todos los datos al journal y funciona 
      muy bien a gran velocidad si est ejecutando la escritura de 
      muchos datos al mismo tiempo (por ejemplo, en los spools de 
      correo o servidores NFS sincronizados). No obstante, utilizndolo 
      en un uso normal  el modo'journal' resulta con frecuencia 
      ms lento.

      El modo se configura mediante el uso de la opcin 'data=<mode>' 
      en /etc/fstab o como 'mount -o data=<mode>' en la lnea de 
      comandos de montaje.

      Normalmente, un sistema de ficheros ext2 se chequea automticamente 
      una vez cada cierto periodo de tiempo o cada cierto nmero de 
      montajes que se hayan producido desde que el sistema de ficheros 
      fue chequeado por ltima vez. En dichas ocasiones, es obligatorio el 
      'fsck' (chequeo del sistema de ficheros) completo del sistema de 
      ficheros en el momento de arrancar el sistema para comprobar la 
      integridad del sistema de ficheros.

      Cuando el instalador actualiza un sistema de ficheros ext3, ste 
      deshabilita estos chequeos automticos. Utilice 'tune2fs' con las 
      opciones'-c' y/o'-i' para rehabilitar o deshabilitarlas en los 
      sistemas de ficheros que usted crea manualmente.

      Observe que estos escaneados de limpieza de datos suprfluos de fsck  
      no tienen nada que ver con el comportammiento del sistema de ficheros 
      cuando se descubre un error en un disco o cuando se produce una cada. 
      Si se encuentra un error de consistencia en un sistema de ficheros en 
      un disco, cuando se vuelva a arrancar el sistema se producir siempre 
      un fsck, para ambos sistemas de ficheros ext2 y ext3. Si se produce 
      una cada en un sistema de ficheros intacto, ext2 siempre forzar a 
      un fsck y ext3 siempre ejecutar el paso de recuperacin del sistema 
      de ficheros; esta limpieza de datos suprfluos no se ve afectada por 
      la configuracin de los intervalos de chequeo obligado de  'tune2fs'. 

      Por favor, tenga en cuenta que incluso un sistema de ficheros con 
      journaling puede daarse por la prdida de energa. Cuando un sistema 
      pierde la energa, el comportamiento del sistema es impredecible. Por 
      ejemplo, el contenido de la memoria puede corromperse mientras su 
      contenido es copiado a un disco duro en el ltimo instante de energa.
      Esta es una situacin, fundamentalmente diferente, de la secuencia ms
      delimitada de sucesos causados por la pulsacin del botn "reset" del
      sistema cuando dicho sistema est en ejecucin. Adems, las unidades IDE
      de discos duros no proporcionan todas las garantas de ordenes de
      escritura que las unidades SCSI s proporcionan. 

      Por lo tanto, despus de una cada del sistema, le ser ofrecida la
      posibilidad de chequear la integridad de sus sistemas de ficheros. El 
      fichero /.autofsck es el que almacena la "seal de cada" usada para 
      suministrar esta caracterstica. Tiene cinco segundos para pulsar "y" 
      para chequear sus sistemas de ficheros durante el arranque posterior a 
      la caida de su sistema, sea cual sea la razn de dicha cada.

  - Red Hat Linux instalar un kernel optimizado para los procesadores Athlon
     en sistemas con un CPU de tipo Athlon. Debido a la optimizacin, esto aportar una 
     mayor carga en los componentes del sistema. Por consiguiente, habr un nmero
     minoritario de mquinas que fracasarn al arrancar debido a que el hardware no 
     se ajusta a las especificaciones de AMD imposibilitando, de este modo, 
     hacer frente a la carga. En dichos sistemas puede optar por actualizar el 
     hardware (las unidades de almacenamiento ininterrumpido sin energa pueden
     producir esto) o utilizar la capacidad de rescate del instalador para instalar un 
     kenel i686.

  - Algunas mquinas de tipo Athlon estn fuera de las especificaciones
    o tienen unas configuraciones de chipset demasiado agresivas fijadas
    por su BIOS.  En estos sistemas, puede que vea aleatoriamente 
    mensajes "Oops" en en arranque del sistema (despus de completar
    satisfactoriamente el proceso de instalacin) y puede ser incapaz
    de arrancar adecuadamente.  En estos sistemas, arranque con la
    opcin "noathlon" para desactivar las optimizaciones athlon;
    instale el kernel 686 en vez del kernel athlon para evitar esto
    en el futuro.

Notas sobre el sistema de impresin
-----------------------------------

   - El sistema printconf proporciona el programa printconf-tui, 
     para la configuracin de la impresora en modo texto.

   - El programa printconf-tui proporciona capacidades de 
     importacin  y exportacin de la lnea de comandos. La 
     importacin puede fusionar definiciones de impresin con 
     aqullas que ya existen o puede sobreescribirlas (por defecto).

     Ejemplo:

         printconf-tui --Xexport > settings.xml

         printconf-tui --Ximport < settings.xml
     o:
         printconf-tui --Ximport --merge < settings.xml

     Combinado con redireccin -- como 'here documents' de bash (vea la pgina
     de manual de bash para ms informacin) -- es fcil introducir 
     configuraciones de impresin en los ficheros kickstart.

   - El programa printconf-tui puede borrar configuraciones por completo.

     Ejemplo:

          printconf-tui --Xclear

   - Las herramientas printconf proporcionan autodeteccin limitada 
     de impresin.

   - redhat-config-printer-tui y redhat-config-printer-gui son alias de
     printconf-tui y printconf-gui, respectivamente.
     
   - Se ha actualizado Ghostscript hasta 6.51 y soporta muchos drivers 
     adicionales, as como ficheros PDF encriptados.

   - Se ha aadido soporte para los drivers de impresinn ghostscript 
     hpijs de Hewlett Packard. Aunque no estn incluidos en la 
     distribucin, debido a restricciones de licencia, se pueden 
     descargar del sitio: http://hpinkjet.sourceforge.net y deberan 
     funcionar como componentes drop-in.

i386 7.2
