Red Hat Linux/x86 7.3 (Valhalla)
====================================

Le contenu de ce CD-ROM est protg par le copyright (C) 1995-2002 de 
Red Hat, Inc. et autres. Veuillez lire les mentions individuelles de
copyright dans chaque paquetage source pour connatre les conditions 
de distribution. Les conditions de distribution des outils protgs par
le copyright de Red Hat, Inc. sont indiques dans le fichier EULA.

Red Hat et RPM sont des marques de commerce de Red Hat, Inc.

============================================================================
ORGANISATION DES REPERTOIRES

Red Hat Linux est fourni sur cinq CD-ROM (disques 1  5). Le disque
1 peut tre dmarr directement pour l'installation sur la plupart 
des systmes modernes et contient les rpertoires suivants :

/mnt/redhat
  |----> RedHat
  |        |----> RPMS         -- paquetages binaires
  |        `----> base         -- informations sur cette version de Red Hat 
  |                               Linux utilise par le processus d'installation
  |----> images                -- images de dmarrage et de disque virtuel
  |----> dosutils              -- utilitaires d'installation pour DOS
  |----> README                -- ce fichier
  |----> RELEASE-NOTES         -- les informations les plus rcentes sur cette
  |                               distribution de Red Hat Linux
  `----> RPM-GPG-KEY           -- signature GPG pour les paquetages de Red Hat

Le disque 2 est similaire au disque 1 (seul le sous-rpertoire RedHat y est prsent).

Le disque 3 contient des paquetages binaires et source. Sa structure ressemble  ceci :

/mnt/redhat
  |----> RedHat
  |        `----> RPMS         -- paquetages binaires
  |
  |----> SRPMS                 -- paquetages source
  |
  |
  `----> RPM-GPG-KEY           -- signature GPG pour les paquetages de Red Hat

La structure des disques 4 et 5 est la suivante :

/mnt/redhat
  |----> SRPMS                 -- paquetages source
  `----> RPM-GPG-KEY           -- signature GPG pour les paquetages de Red Hat

Si vous paramtrez une image pour des installations NFS, FTP ou HTTP, vous devez tout
prendre dans le rpertoire RedHat des disques 1-3. Sur les systmes Linux et Unix, le
processus suivant configurera correctement /target/directory sur votre serveur.

    1) Insrer le disque 1
    2) mount /mnt/cdrom
    3) cp -a /mnt/cdrom/RedHat /target/directory
    4) umount /mnt/cdrom
    5) Remplacer le disque 1 par le disque 2 
    6) mount /mnt/cdrom
    7) cp -a /mnt/cdrom/RedHat /target/directory
    8) umount /mnt/cdrom
    9) Remplacer le disque 2 avec le disque 3 
    10) mount /mnt/cdrom
    11) cp -a /mnt/cdrom/RedHat /target/directory
    12) umount /mnt/cdrom

============================================================================
INSTALLATION

Il existe diffrentes images de dmarrage pour votre systme ;
vous devrez en utiliser une pour dmarrer votre systme dans le programme 
d'installation et de mise  jour Red Hat. Dans le cas d'une installation 
CD-ROM ou disque dur, utilisez le fichier boot.img. Pour une installation NFS, 
FTP ou HTTP, vous devez utiliser l'image bootnet.img. Les installations
via cartes PCMCIA (pour les CD-ROM bass sur PCMCIA ou les cartes rseau)
ncessitent du fichier pcmcia.img. Ces fichiers image se trouvent dans le
rpertoire images sur le disque 1.

De nombreux systmes ncessiteront de pilotes de priphrique additionnels
qui ne sont pas disponibles dans la disquette d'amorage. Le rpertoire
images contient un fichier drivers.img qui comprend de nombreux pilotes
supplmentaires. Mettez son contenu sur une disquette avant de commencer le
processus d'installation et suivez les instructions  l'cran.

Pour crer une disquette  l'aide d'une de ces images, utilisez le programme
rawrite, qui se trouve dans le rpertoire dosutils, ou 'dd' sous un systme
de type Linux. Ces programmes permettent de transfrer l'image sur la 
disquette. Une fois la disquette cre, insrez-la dans le lecteur et dmarrez
votre ordinateur.

De nombreux ordinateurs peuvent maintenant dmarrer automatiquement depuis les 
CD-ROM. Si c'est le cas de votre ordinateur (et qu'il est correctement configur),
vous pouvez dmarrer le CD-ROM Red Hat Linux directement sans avoir recours 
une disquette d'amorage. Aprs le dmarrage, vous pourrez installer votre systme
 partir du CD-ROM. Notez que dmarrer le systme depuis le CD-ROM
quivaut  dmarrer le fichier boot.img ; des pilotes additionnels pourraient
tout de mme tre requis.

============================================================================
OBTENIR DE L'AIDE

Si vous avez accs au Web, visitez le site http://www.redhat.com. Plus 
particulirement, vous trouverez des informations sur l'inscription  
nos listes de diffusion  l'adresse : 

                    http://www.redhat.com/mailing-lists

Si vous n'avez pas accs au Web, vous pouvez quand mme vous inscrire  la liste 
de diffusion principale

Pour vous y inscrire, envoyez un e-mail  Valhalla-list-request@redhat.com en spcifiant

                                 subscribe

dans la ligne objet. Vous pouvez laisser le corps du message vide
