
Notas de ltima hora de Red Hat Linux 7.3

Copyright  2002 por Red Hat, Inc.
         _________________________________________________________

   Tabla de contenidos
   [1]Anaconda/Notas sobre la instalacin
   [2]Notas sobre el Kernel
   [3]Anotaciones generales sobre la distribucin
   [4]Reorganizacin de los paquetes

Anaconda/Notas sobre la instalacin

Gestor de arranque

     * En una actualizacin, ananconda actualiza por defecto la
       configuracin del gestor de arranque sin crear uno nuevo. Si
       todava usa LILO y desea migrar para usar GRUB, necesitar
       seleccionar la creacin de un nuevo cargador cuando se le pida
       durante el proceso de actualizacin.
     _________________________________________________________________

Kickstart

     * Existe una nueva directiva llamada %include que puede ser usada
       con kickstart. Esto le permite incluir el contenido de otros
       ficheros como parte de su configuracin kickstart. Estos ficheros
       deberan existir en el ramdisk inicial del instalador (initrd) o
       ser generados de forma dinmica en la seccin %pre de la
       configuracin kickstart.
       Para obtener ms informacin sobre anaconda y la configuracin
       kickstart, remtase a la documentacin localizada en
       /usr/share/doc/anaconda-7.3/.
     _________________________________________________________________

Varios

     * El modo de actualizacin autnomo (escribir linux upgrade en el
       intrprete de comandos de arranque) no est soportado.
     * La instalacin desde un directorio NFS que contiene todos los
       ficheros ISO necesarios est soportada. Esta nueva caracterstica
       funciona tambin con las instalaciones FTP. Si, adems existe un
       fichero updates.img en el directorio desde el que se instala, ste
       se usar para las actualizaciones Anaconda.
       Remtase al fichero install-methods.txt en el paquete RPM de
       Anaconda para informacin ms detallada sobre los posibles mtodos
       de instalar Red Hat Linux, as como para aplicar las
       actualizaciones de Anaconda.
     * Las imgenes ISO cuentan con un md5sum embebido. Para comprobar la
       integridad de una imagen ISO escriba linux mediacheck en el
       intrprete de comandos de arranque de la instalacin. El programa
       de instalacin le indicar que introduzca un CD y seleccione OK
       para ejecutar la ejecucin de total de control. Dicha operacin de
       total de control puede ser ejecutada en un CD de Red Hat Linux en
       cualquier orden. Se le recomienda que ejecute esta operacin en
       cualquier CD de Red Hat Linux que haya sido creado para descargrar
       imgenes ISO. Este procedimiento tan slo funciona con
       instalaciones mediante CD.
     * El fichero de registro resume que resume su instalacin est
       localizado en /root como /root/install.log en vez de
       /tmp/install.log. Se han recolocado los registros de actualizacin
       para /root/upgrade.log.
     _________________________________________________________________

Notas sobre el Kernel

Red Hat Linux 7.3 incluye el kernel 2.4.18. as como las siguientes
modificaciones:

     * Programador mejorado para una latencia ms baja y una ejecucin
       SMP mejorada
     * Soporte para 802.11Q (VLAN)
     * Soporte para S.M.A.R.T. (TM) y otras tecnologas de monitorizacin
       del disco duro; en determinados casos, las unidades de disco duro
       que utilizan estas tecnologas informarn a los usuarios antes de
       tiempo
     * soporte LVM (Logical Volume Management)
     * soporte USB 2.0
     * soporte LBA48/ATA133 para unidades > 137GB
     * Soporte para discos de estado slido Cenatek Rocket Drive
     * Unidades de CD-ROM antiguas (era pre-IDE) ya no estn soportadas.
     _________________________________________________________________

Anotaciones generales sobre la distribucin

     * Existen algunos problemas en la actualizacin de los sistemas 6.x,
       7.0, 7.1, 7.2, y 7.3 al ejecutar Ximian GNOME. El problema
       viene causado por la superposicin entre la versin oficial de Red
       Hat Linux los RPMs y los RPMs Ximian. Sepa que este tipo de
       configuracin no est soportado por Red Hat. Estas son las
       diferentes opciones para resolver este problema:
       1) Puede eliminar Ximian GNOME del sistema Red Hat Linux antes de
       actualizar Red Hat Linux.
       2) Puede actualizar Red Hat Linux e inmediatamente reinstalar
       Ximian GNOME.
       3) Puede actualizar Red Hat Linux e inmediatamente eliminar todos
       los RPMs Ximian y reemplazarlos con los RPMs correspondientes de
       Red Hat Linux. RPMs.
       Debera solucionar la superposicin de la versin usando una de
       las posibilidades mencionadas anteriormente. Si no lo consigue
       significa que la configuracin de GNOME no es estable.
     * Se ha actualizado KDE a 3.0.0 e incluye mejoras en el uso as como
       algunas caractersticas y aplicaciones nuevas.
       La fuentes anti-alias no funcionarn tras la actualizacin a KDE
       3.0.0. Este problema est relacionado con la adicin de
       caractersticas: Debido a la actualizacin de 3.0 Qt., es posible
       usar fuentes anti-alias y no anti-alias al mismo tiempo que en las
       aplicaciones Qt. Ya que las fuentes predeterminadas para el
       entorno del escritorio KDE son fuentes de mapa de bits, stas no
       pueden ser fuentes anti-alias en los menues, si pulsa el botn
       "enable anti-aliased fonts" de KDE no se cambiar la apariencia de
       las aplicaciones. Para obtener fuentes anti-alias en los menues,
       ttulos de ventanas, etc., cambie las fuentes para estos elementos
       (por ejemplo,al reemplace Helvetica con Helmet y Courier con
       Lucidatypewriter).
     * Red Hat Linux incluye un puerto del sistema de alternativas
       Debian, como modo para soportar los paquetes mltiples
       proporcionando un servicio en particular. Cada binario/fichero en
       comn entre los paquetes mltiples se reemplaza con un symlink en
       /etc;, esto responde a la versin del fichero para la alternativa
       en cuestin. Por ejemplo:
       /usr/sbin/sendmail -> /etc/alternatives/mta ->
       /usr/sbin/sendmail.sendmail
       /usr/sbin/alternatives aade y gestiona dichos symlinks. Vea man 8
       alternatives para ms detalles.
       En la actualidad Red Hat Linux ofrece Sendmail y Postfix como dos
       alternativas de Agente de Transporte de Correo. Las posibilidades
       para el demonio de impresin son LPRng y CUPS.
       Observe que las configuraciones para LPRng y CUPS estn
       completamente separadas, Si cambia desde un sistema de impresin a
       otro, deber reconfigurar sus impresoras.Asimismo, posfix y
       sendmail poseen ficheros de configuracin separados.
     * XFree86 ha sido actualizado para la versin 4.2.0. En esta versin
       se incluye el soporte nuevo o mejorado para los siguientes
       chipsets grficos:
       ATI Radeon 7500 (2D/3D), Radeon 8500 (2D)
       ATI Radeon Mobility M6/M7 (2D/3D)
       Intel i830 (2D/3D)
       Matrox G550
       nVidia nForce
       3DLabs Permedia 4
       Chipsets antiguos S3 (non-Savage, non-ViRGE)
       NOTA: El chipset nVidia GeForce 4 chipset no est soportado por el
       driver by "nv" en XFree86 4.2.0. El driver XFree86 "vesa", que usa
       una tarjeta de vdeo VESA BIOS para inicializar los modos de
       vdeo, funcionar como una alternativa temporal hasta que tenga a
       su disposicin el soporte oficial en futuras versiones.
     * Mozilla ha sido actualizado para 0.9.9. Esta versin incluye el
       soporte MathML, perfil javascript, soporte S/MIME en el correo y
       las noticias, navegacin tabulada, soporte LDAP en la libreta de
       direcciones y un gran nmero de parches.
     * Se ha aadido el gestor de correo/calendario/contactos. Evolution
       incluye POP, IMAP y soporte de correo local, iCalendar soporte
       para el calendario y la programacin y la gestin de los contactos
       integrados y las listas de tareas online.
     * Se ha aadido MrProject, herramienta de gestin de proyectos que
       incluye las tarjetas Gantt, dependencias y localizaciones de
       recursos.
     * Se ha aadido la aplicacin de vdeo conferencia. GnomeMeeting es
       una herramienta de vdeoconferencia amoldable a H.323 que soporta
       el modo tnel H.245 y tambin el modo audio.
     * Red Hat Linux soporta el el chino tradicional y simplificado,
       adems del soporte ya existente para el ingls americano, francs,
       alemn, italiano, japons, coreano y espaol.
     * El soporte para unidades DVD-R, DVD+RW y DVD-RW ha sido incluido y
       est disponible en el paquete dvdrtools.
     * Es posible formatear los documentos DocBook XML usando el lenguaje
       de hoja de estilo XSL. Para ms informacin, remtase a la pgina
       de manual xmlto(1).
     * Las definiciones del tipo de documento DocBook (DTDs) se han
       mezclado en el paquete RPM llamado docbook-dtds.
     * Se ha aadido gPhoto2 (gphoto) a la distribucin.gPhoto2 es una
       aplicacin de software y una interfaz de librera para cmaras
       digitales. El antiguo paquete gPhoto2 incluye gtKam, una interfaz
       grfica de cmara digital que usa gPhoto2. La antigua aplicacin
       gphotoation> (0.4.3) ha sido desaprobada y se eliminar en
       versiones futuras.
     * Los initscripts deshabilitan DMA en los CD-ROMs IDE por defecto.
       Para habilitarlo, cree el fichreo /etc/sysconfig/harddisk<device>
       que contiene USE_DMA=1, donde <device> es el dispositivo de su
       disco o CD-ROM (como por ejemplo hdc).
     * /sbin/service cambia el directorio root antes de iniciar o parar
       los servicicios. Existen cambios de manera que /sbin/service
       gestiona variable de entorno. Por ejemplo, si un script de init se
       basa en variables de entorno especiales (PATH, etc.) el script
       necesita configurar explcitamente estas variables en lugar de
       esperar recibirlas.
     * El paquete bcm5820 ha sido reemplazado con el paquete hwcrypto. El
       paquete hwcrypto tambin incluye soporte para el acelerador
       criptogrfico 100 AEP.
     * El programa xscanimage no se usa y ser eliminado en futuras
       versiones de Red Hat Linux. En su defecto debera usarse el
       programa xsane.
     * Se ha eliminado el paquete rp3 para configurar el uso del acceso
       de marcado el paquete redhat-config-network.
     * Se ha reemplazado el paquete ircii con el paquete epic. epic es
       altamente compatible con los scripts ircii e incluye ms
       caractersticas que ircii.
     * Se ha eliminado el paquete mkkickstart. En su lugar debera usarse
       el programa de aplicacin ksconfig; puede modificar
       /root/anaconda-ks.cfg generado por el instalador.
     * El paquete de utilidades patchutils manipula los ficheros de
       parches incluidos. Los ficheros de parches se usan habitualmente
       para el desarrollo de software.
     * Se incluyen los paquetes autoconf253 y automake15 que actualizan
       autoconf a la versin 2.53 y automake a la versin 1.5 para
       aqullos que necesitan entornos de desarrollo actualizados.
     * Se ha aadido el paquete glibc-kernheaders que sustituye el
       paquete kernel-headers.
     * El paquete postgresql ha sido actualizado. Para preservar sus
       datos, vacelos usando el comando pg_dumpall antes de la
       actualizacin, restablezca los datos una vez que la actualizacin
       se haya completado. Remtase a pg_dumpall(1) para ms informacin.
     * El aplique del panel Red Hat Network est incluido en los paneles
       predeterminados del escritorio de GNOME. Este aplique le permite
       recibir noticias de Red Hat Network y descargar las
       actualizaciones para su sistema Red Hat Linux. Observe que el
       aplique del Panel de Red Hat Network no aparece en el panel del
       escritorio de GNOME si ha actualizado desde una versin de Red Hat
       Linux. Para aadir esto a su panel, escoja lo siguiente:
       Men principal => Apliques => Monitores => Herramienta de
       Notificacin de Alertas de Red Hat Network
     _________________________________________________________________

Reorganizacin de los paquetes

Se han eliminado las siguientes aplicaciones y paquetes que no se haban
mencionado previamente desde Red Hat Linux 7.3:

     * enlightenment
     * ext2ed
     * fnlib
     * gnome-pim
     * isapnptools
     * kaffe
     * libodbc++
     * linuxconf
     * lout
     * mawk
     * p2c
     * ttfm
     * xmorph
     * xmailbox
     * xrn
     * xsysinfo

   Se  han  deshechado  las  siguientes  aplicaciones  y paquetes y sern
   eliminados de las futuras versiones de Red Hat Linux:

     * Netscape Communicator 4.7
     * XFree86 3.3.x
     * junkbuster

References

   1. file://localhost/tmp/html-Atevpj#ANACONDA-INSTALLER-NOTES
   2. file://localhost/tmp/html-Atevpj#KERNEL-NOTES
   3. file://localhost/tmp/html-Atevpj#GENERAL-NOTES
   4. file://localhost/tmp/html-Atevpj#DEPRECATED
