
Notes de mises  jour de Red Hat Linux 7.3

Copyright  2002 par Red Hat, Inc.
         _________________________________________________________

   Table des matires
   [1]Notes au sujet de l'installateur Anaconda
   [2]Notes sur le noyau
   [3]Notes gnrales concernant cette distribution
   [4]Rorganisation des paquetages

Notes au sujet de l'installateur Anaconda

Chargeur de dmarrage

     * Lors d'une mise  jour, anaconda ne peut mettre  jour la
       configuration en cours de votre chargeur de dmarrage sans en
       crer une nouvelle. Si vous utilisez toujours LILO et souhaitez
       passer  GRUB, slectionnez la cration d'une nouvelle
       configuration de chargeur de dmarrage lorsque le systme vous le
       demande durant la mise  jour.
     _________________________________________________________________

Kickstart

     * Il existe un nouveau rpertoire appel %include qui peut tre
       utilis avec kickstart. Ceci vous permet d'inclure le contenu
       d'autres fichiers  l'intrieur de votre configuration de
       kickstart. Ces fichiers doivent soit exister dans le disque
       virtuel initial (initrd) du programme d'installation soit tre
       gnrs dynamiquement dans la section %pre de la configuration de
       kickstart..
       Pour de plus amples informations sur anaconda et la configuration
       de kickstart, consultez la documentation contenue dans
       /usr/share/doc/anaconda-7.3/.
     _________________________________________________________________

Divers

     * Le mode de mise  jour autonome (tapez linux upgrade  l'invite de
       dmarrage) n'est plus pris en charge.
     * L'installation depuis un rpertoire NFS contenant tous les
       fichiers ISO ncessaires est maintenant prise en charge. De plus,
       s'il existe un fichier appel updates.img dans le rpertoire
       depuis lequel vous effectuez l'installation, celui-ci sera utilis
       pour les mises  jour d'Anaconda.
       Reportez-vous au fichier install-methods.txt contenu dans le
       paquetage RPM Anaconda pour obtenir des informations dtailles
       sur les diffrentes mthodes d'installation de Red Hat Linux,
       ainsi que sur l'utilisation des mises  jour d'Anaconda.
     * Les images ISO ont maintenant un md5sum intgr en elles. Pour
       vrifier l'intgrit d'une image ISO, tapez linux mediacheck 
       l'invite de dmarrage de l'installation. Le programme
       d'installation vous demandera d'introduire un CD-ROM et de
       slectionner OK afin d'excuter le contrle. Cette opration peut
       tre effectue sur tous les CD-ROM de Red Hat Linux, dans
       n'importe quel ordre. Il est fortement recommand d'effectuer
       l'opration sur tous les CD-ROM crs  partir d'images ISO
       tlcharges. Cette procdure ne fonctionne qu'avec les
       installations depuis un CD-ROM.
     * Le fichier journal rsumant l'installation se trouve maintenant
       dans le fichier /root/install.log de /root et non plus dans
       /tmp/install.log. Les enregistrements des mises  jour ont
       galement t dplaces dans /root/upgrade.log.
     _________________________________________________________________

Notes sur le noyau

Red Hat Linux 7.3 inclut le noyau 2.4.18 ansi que les ajouts et les
modifications suivants :

     * Un programmeur avanc qui rduit les temps d'attente et amliore
       les performances de SMP
     * Prise en charge de 802.11Q (VLAN)
     * Prise en charge de S.M.A.R.T. (TM) et d'autres technologies de
       monitorage des disques durs ; dans certains cas, les disques durs
       qui emploient ces technologies peuvent prvoir les problmes
       ventuels
     * Prise en charge du LVM (Logical Volume Management)
     * Prise en charge de USB 2.0
     * Support LBA48/ATA133 pour disques > 137GB
     * Support pour les disques Cenatek Rocket
     * Les vieux lecteurs de CD-ROM (pr-IDE) ne sont plus grs.
     _________________________________________________________________

Notes gnrales concernant cette distribution

     * Des problmes de mise  jour des systmes Red Hat Linux 6.x, 7.0,
       7.1, 7.2 et 7.3 qui excutent GNOME Ximian nous on t
       signals. Ces problmes sont dus  un chevauchement entre les RPM
       Red Hat Linux officiels et les RPM Ximian. Sachez qu'il s'agit
       d'une configuration qui n'est pas prise en charge par Red Hat.
       Plusieurs choix s'offrent  vous pour rsoudre ce problme :
       1) Vous pouvez liminer GNOME Ximian de votre systme Red Hat
       Linux avant de procder  la mise  jour de Red Hat Linux.
       2) Vous pouvez mettre  jour Red Hat Linux et rinstaller
       immdiatement GNOME Ximian.
       3) Vous pouvez mettre  jour Red Hat Linux, puis liminer
       immdiatement tous les RPM Ximian encore prsents et les remplacer
       par les RPM Red Hat Linux correspondants.
       Vous devez rsoudre la question du chevauchement des versions en
       optant pour l'un des choix mentionns ci-dessus. Si vous ne le
       faites pas, vous aurez une configuration de GNOME instable.
     * KDE a t mis  jour  la version 3.0.0 et offre une meilleure
       facilit d'emploi ainsi que de nouvelles applications et
       fonctions.
       Les polices anti-aliased pourraient ne plus fonctionner aprs la
       mise  jour  la version 3.0.0 de KDE. Ce problme est li 
       l'ajout d'une fonction : grce  la mise  jour Qt 3.0, il est
       maintenant possible d'utiliser simultanment des polices
       anti-aliased et non-antialiased dans les applications Qt. Puisque
       les polices par dfaut de l'environnement bureau KDE par dfaut
       sont des polices bitmap et donc des polices qui ne peuvent pas
       tre anti-aliased, le simple fait d'activer le bouton enable
       anti-aliased fonts dans KDE ne modifie pas l'aspect de toutes les
       applications. Pour avoir des polices anti-aliased dans les menus,
       les titres de fentres etc., changez les polices de ces lments
       (par exemple, remplacez Helvetica par Helmet et Courier par
       Lucidatypewriter).
     * Maintenant Red Hat Linux inclut le port de Debian alternatives
       system, afin de prendre en charge diffrents paquetages qui
       fournissent un mme service. Chaque binaire/fichier qui est commun
       aux diffrents paquetages est remplac par un lien symbolique 
       /etc ; celui-ci est ensuite convertit dans la version de fichier
       pour le paquetage choisi. Par exemple :
       /usr/sbin/sendmail -> /etc/alternatives/mta ->
       /usr/sbin/sendmail.sendmail
       Ces liens symboliques sont ajouts et grs par
       /usr/sbin/alternatives. Pour plus de dtails, tapez la commande
       man 8 alternatives
       Actuellement Red Hat Linux offre deux Agents de Transport de Mail
       (MTA), Sendmail et Postfix, ainsi que deux dmons d'impression,
       LPRng et CUPS.
       Notez que les configurations de LPRng et de CUPS sont distinctes.
       Si vous passez d'un systme d'impression  un autre, vous devrez
       reconfigurer vos imprimantes. Postfix et sendmail ont galement
       des fichiers de configuration distincts.
     * XFree86  t mis  jour  la version 4.2.0, qui inclut un nouveau
       support avanc pour les processeurs graphiques suivants :
       ATI Radeon 7500 (2D/3D), Radeon 8500 (2D)
       ATI Radeon Mobility M6/M7 (2D/3D)
       Intel i830 (2D/3D)
       Matrox G550
       nVidia nForce
       3DLabs Permedia 4
       Chipsets S3 moins rcents (non Savage, non ViRGE)
       REMARQUE : Le processeur Vidia GeForce 4 n'est pas gr par le
       pilote "nv" de XFree86 4.2.0. Le pilote "vesa"de XFree86 , qui
       utilise un BIOS VESA de carte vido pour initialiser les modes
       vido, peut tre employ temporairement tant que le support
       officiel ne sera pas disponible.
     * Mozilla a t mis  jour  la version 0.9.9, qui fournit un
       support MathML, un profilage javascript, un support S/MIME pour le
       courrier et les nouvelles, une navigation tiquete, un support
       LDAP dans le carnet d'adresses et de nombreux correctifs de
       bogues.
     * Le programme de messagerie lectronique, le calendrier et le
       gestionnaire de contacts Evolution ont t ajouts  la
       distribution. Evolution inclut POP, IMAP, un support local de
       courrier, un support iCalendar comme calendrier et programmeur, un
       gestionnaire de contacts intgr ainsi qu'une liste des tches en
       ligne.
     * MrProject, un outil de gestion des projets, a t ajout  la
       distribution. MrProject prend en charge les projets de planning et
       de tracking, y compris les chartes, les dpendances et
       l'allocation des ressources Gantt.
     * La distribution contient maintenant l'outil GnomeMeeting.
       GnomeMeeting est un outil de vidoconfrence H.323 compatible qui
       support le tunneling H.245 et le mode en audio seul.
     * Maintenant Red Hat Linux prend en charge le chinois simplifi et
       traditionnel, en plus des langues dj prsentes dans l'ancienne
       distribution : anglais amricain, franais, allemand, italien,
       espagnol, japonais et coren.
     * Le support pour les priphriques DVD-R, DVD+RW et DVD-RW, contenu
       dans le paquetage dvdrtools, a t ajout.
     * Il est maintenant possible de formater des documents DocBook XML 
       l'aide du langage de feuilles de style XSL. Pour en savoir plus
       consultez la page de manuel xmlto(1).
     * Les dfinitions des types de document DocBook (DTD, DocBook
       document type definitions) ont t regroupes sous un unique
       paquetage RPM appel docbook-dtds.
     * Le paquetage gPhoto2 a t ajout  la distribution. gPhoto2 est
       une application logicielle et une interface de bibliothque pour
       appareils photo numriques. Le paquetage gPhoto2 contient
       galement gtKam, une interface pour appareils photo numriques qui
       utilise gPhoto2. Kamera, un plugin Konqueror pour appareils photo
       numriques, a galement t ajout. L'ancienne version de gphoto
       (0.4.3) est dconseille et sera supprime lors d'une prochaine
       distribution.
     * initscripts dsactivent par dfaut le DMA sur CD-ROM IDE. Pour
       l'activer, crez un fichier /etc/sysconfig/harddisk<priphrique>
       contenant USE_DMA=1, o <priphrique> correspond  votre disque
       ou  votre CD-ROM (tel que hdc).
     * /sbin/service passe maintenant au rpertoire racine avant de
       dmarrer ou arrter des services. La faon dont /sbin/service gre
       les variables d'environnement a galement chang. Par exemple, si
       un script init se base sur des variables d'environnement
       particulires (PATH, etc.), les scripts doivent configurer
       expressment ces variables au lieu de les hriter.
     * Le paquetage bcm5820 a t remplac par le paquetage hwcrypto. Le
       paquetage hwcrypto inclut galement un support pour les
       acclrateurs cryptographiques AEP 1000.
     * Le programme xscanimage est dconseill et sera supprim lors
       d'une prochaine version de Red Hat Linux. Le programme xsane peut
       tre utilis  sa place.
     * Le paquetage rp3 a t supprim. Pour configurer l'accs de
       dial-up, utilisez le paquetage redhat-config-network.
     * Le paquetage ircii a t remplac par le paquetage epic. epic est
       compatible avec les scripts ircii et inclut plus de fonctions que
       ce dernier.
     * Le paquetage mkkickstart a t supprim. Utilisez  la place le
       programme ksconfig. Vous pouvez galement modifier le fichier
       /root/anaconda-ks.cfg gnr par le programme d'installation.
     * La distribution contient galement patchutils, le paquetage
       d'utilitaires pour la manipulation des fichiers correctifs. Les
       fichiers correctifs sont souvent utiliss pour le dveloppement de
       logiciels.
     * Les paquetages autoconf253 et automake15 sont galement inclus. Le
       premier a t mis  jour  la version 2.53 et le second  la
       version 1.5. Ces deux versions fournissent des environnements de
       dveloppement avancs.
     * Le paquetage glibc-kernheaders a t ajout  la distribution et
       remplacera le paquetage kernel-headers.
     * Le paquetage postgresql a t mis  jour. Pour prserver vos
       donnes, videz les donnes  l'aide de la commande pg_dumpall
       avant de procder  la mise  jour. Ensuite, rcuprez les donnes
       une fois que la mise  jour est termine. Pour plus
       d'informations, consultez la page de manuel pg_dumpall(1).
     * L'applet Panel de Red Hat Network est compris par dfaut dans le
       tableau de bord de GNOME. Cette application permet de recevoir des
       notices de Red Hat Network ainsi que de tlcharger des mises 
       jour pour votre systme Red Hat Linux. Notez que l'applet Panel de
       Red Hat Network ne s'affiche pas sur votre tableau de bord de
       GNOME si vous avez mis  jour votre version Red Hat Linux. Pour
       l'ajouter  votre tableau de bord, slectionnez :
       Menu principal => Applets => Moniteurs => Red Hat Network Alert
       Notification Tool
     _________________________________________________________________

Rorganisation des paquetages

Les applications et paquetages suivants ont t supprims Red Hat Linux
7.3:

     * enlightenment
     * ext2ed
     * fnlib
     * gnome-pim
     * isapnptools
     * kaffe
     * libodbc++
     * linuxconf
     * lout
     * mawk
     * p2c
     * ttfm
     * xmorph
     * xmailbox
     * xrn
     * xsysinfo

   Les  applications  et  paquetages  suivants  sont  obsolets  et seront
   supprims d'une prochaine version de Red Hat Linux:

     * Netscape Communicator 4.7
     * XFree86 3.3.x
     * junkbuster

References

   1. file://localhost/tmp/html-o1UGNC#ANACONDA-INSTALLER-NOTES
   2. file://localhost/tmp/html-o1UGNC#KERNEL-NOTES
   3. file://localhost/tmp/html-o1UGNC#GENERAL-NOTES
   4. file://localhost/tmp/html-o1UGNC#DEPRECATED
